package org.openhabbo.core;

import org.openhabbo.OpenHABBO;

public final class ShutdownHook extends Thread
{
	private OpenHABBO instance;

	public ShutdownHook(OpenHABBO instance)
	{
		this.instance = instance;
		Logger.getInstance().info("ShutdownHook", "Attached to OpenHABBO instance.");
	}

	@Override
	public void run()
	{
		this.instance.stop("JVM is exiting unexpectedly");
	}
}
