package org.openhabbo.items;

public final class EItemBehaviour
{
	public final static char FLOORITEM = 'S';
	public final static char WALLITEM = 'I';

	public final static char PASSIVEOBJECT = 'P';
	public final static char INVISIBLE = 'E';
	public final static char TRIGGER = 'X';

	public final static char CAN_SIT_ON_TOP = 'C';
	public final static char CAN_LAY_ON_TOP = 'B';
	public final static char CAN_STAND_ON_TOP = 'O';
	public final static char CAN_STACK_ON_TOP = 'H';

	public final static char REQUIRES_RIGHTS_FOR_INTERACTION = 'G';
	public final static char REQUIRES_TOUCHING_FOR_INTERACTION = 'A';

	public final static char DECORATION = 'V';
	public final static char POSTIT = 'J';
	public final static char PHOTO = 'N';
	public final static char DOOR = 'D';
	public final static char TELEPORTER = 'W';
	public final static char DICE = 'L';
	public final static char PRIZETROPHY = 'Y';
	public final static char REDEEMABLE = 'N';
	public static final char ROOMDIMMER = 'K';

	public final static char ALLOW_TRADE = 'T';
	public final static char ALLOW_RECYCLE = 'R';
	public final static char ALLOW_INVENTORYSTACK = 'Z';
	public final static char ALLOW_MARKETPLACE = 'M';
}
