package org.openhabbo.sessions.handlers;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class EnterRoomViaDoorbellHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		int roomId = request.readInt();
		if(roomId == session.waitingForDoorbell)
		{
			session.waitingForDoorbell = 0;
			session.goToRoom(roomId);
		}
	}
}
