package org.openhabbo.sessions.handlers;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class OpenFlatHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Read the room ID of the room the user wants to enter, and the given password (if any)
		int roomId = request.readInt();
		String password = request.readStr();

		// Go go go, and supply the password the user provided (optionally)
		session.tryGetRoomAccess(roomId, password);
	}
}
