package org.openhabbo.sessions.handlers;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class OpenPubHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Read the room ID of the public room the user wants to enter
		request.readBool(); // unk1
		int roomId = request.readInt();
		request.readBool(); // unk2

		// Go go go, don't supply a password, because its a public room!
		session.tryRoom(roomId, "");
	}
}
