package org.openhabbo.sessions.handlers;

import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class StopTypingHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		if(session.inRoom())
		{
			response.init(EServerMessage.UserTyping);
			response.appendInt(session.getRoomUser().virtualId);
			response.appendBool(false);
			session.getRoomInstance().broadcast(response);
		}
	}
}
