package org.openhabbo.sessions.handlers;

import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class WaveHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		RoomUser user = session.getRoomUser();
		if(user != null)
		{
			response.init(EServerMessage.Wave);
			response.appendInt(user.avatarId);
			session.getRoomInstance().broadcast(response);
		}
	}
}
