package mod_badge;

import org.openhabbo.events.EventListener;

import org.openhabbo.sessions.Session;

public class LogoutHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session) subject;

		// Save badge inventory
		BadgeInventory inventory = session.get("badges");
		if(inventory != null)
		{
			if(inventory.requiresSave())
			{
				inventory.save();
			}
			inventory.clear();
		}
		
		return true;
	}
}
