package mod_badges;

import org.openhabbo.events.EventListener;

import org.openhabbo.sessions.Session;

public class LogoutHook implements EventListener
{
	@Override
	public void handle(Object subject, Object args)
	{
		Session session = (Session) subject;

		// Save badge inventory
		BadgeInventory inventory = session.get("badges");
		if(inventory != null)
		{
			if(inventory.requiresSave())
			{
				inventory.save();
			}
			inventory.clear();
		}
	}
}
