package mod_corechatcmds;

import org.openhabbo.chatcommands.ChatCommandHandler;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionManager;
import org.openhabbo.util.GameError;

public class ServcastCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Broadcasts a message (with optional URL) to all online users";
	}

	@Override
	public String getRequiredRight()
	{
		return "can_servcast";
	}
	
	@Override
	public String[] getSyntax()
	{
		return new String[] { "message" };
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		SessionManager.getInstance().sendNotifToAll(args[0]);
	}
}
