package mod_corechatcmds;

import org.openhabbo.chatcommands.ChatCmdRegistry;
import org.openhabbo.modules.Module;
import org.openhabbo.modules.Version;

public final class mod_corechatcmds extends Module
{
	public mod_corechatcmds()
	{
		super(new Version(1, 0, 0), "Contains the core chatcommands of OpenHABBO.", "Nils 'Nillus'", "http://modules.openhabbo.org/mod_corechatcmds/");
	}

	@Override
	public boolean onLoad()
	{
		ChatCmdRegistry.register("about", new AboutCommandHandler());
		ChatCmdRegistry.register("stats", new StatsCommandHandler());
		ChatCmdRegistry.register("help", new HelpCommandHandler());
		return true;
	}

	@Override
	public void onUnload()
	{
		ChatCmdRegistry.unregister("about");
		ChatCmdRegistry.unregister("stats");
		ChatCmdRegistry.unregister("help");
	}
}
