package mod_coreremotecmds;


import org.openhabbo.remote.RemoteCommandHandler;
import org.openhabbo.sessions.SessionManager;
import org.openhabbo.support.SupportCenter;

public class ServcastHandler implements RemoteCommandHandler
{
	@Override
	public void handle(String payload)
	{
		String[] args = payload.split(ARG_DELIMITER, 3);
		int issuerId = Integer.parseInt(args[0]);
		String message = args[1];
		String url = args.length >= 3 ? args[2] : null;

		SessionManager.getInstance().sendNotifToAll(message, url);
		SupportCenter.getInstance().writeSupportLog(issuerId, 0, "servcast", message, "via remote (url: " + ((url != null) ? url : "none") + ")");
	}
}