package mod_coreremotecmds;

import mod_remote.RemoteCommandHandler;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionManager;

public class UserBalanceUpdateHandler implements RemoteCommandHandler
{
	@Override
	public void handle(String payload)
	{
		int userId = Integer.parseInt(payload);

		Session sess = SessionManager.getInstance().getSessionByUserId(userId);
		if(sess != null)
		{
			sess.getUser().reloadCreditsAndPixels();
			sess.sendCreditBalance();
			sess.sendPixelBalance();
		}
	}
}
