package mod_moderation;

import org.openhabbo.events.EventListener;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.messages.ServerMessage;

public class LoginHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session)subject;
		
		// User is moderator?
		if(session.getUser().rights.contains("fuse_mod"))
		{
			// Send preset moderation responses
			ServerMessage msg = new ServerMessage(531);
			 msg.init(531);
	         msg.appendInt(-1);
	         msg.appendInt(ModerationCenter.getInstance().getPresetManager().getUserMessages().size());
	         for(String message : ModerationCenter.getInstance().getPresetManager().getUserMessages())
	         {
	        	 msg.appendStr(message);
	         }
	         msg.appendInt(0);
	         msg.appendInt(14);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);

	         msg.appendInt(ModerationCenter.getInstance().getPresetManager().getRoomMessages().size());
	         for(String message : ModerationCenter.getInstance().getPresetManager().getRoomMessages())
	         {
	        	 msg.appendStr(message);
	         }

	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendStr("test");
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendStr("test");
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendInt(1);
	         msg.appendStr("test");
	         session.send(msg);
			
			// Send open tickets
			for(ModerationTicket ticket : ModerationCenter.getInstance().getAllTickets())
			{
				if(ticket.status == ModerationTicket.STATUS_OPEN || ticket.status == ModerationTicket.STATUS_PICKED)
				{
					session.send(ModerationTicket.createMsg(ticket));
				}
			}
		}
		
		return true;
	}
}
