package mod_postit;

import java.util.List;

import org.openhabbo.items.Item;
import org.openhabbo.sessions.Session;

public final class PostItItem extends Item
{
	public void setColorAndText(String color, String text)
	{
		this.setPersistentData(color + " " + text);
	}
	
	public String getColor()
	{
		return this.customData.split(" ")[0];
	}
	
	public String getText()
	{
		return this.customData.split(" ")[1];
	}
	
	@Override
	public void onPurchase(List<Item> shipping)
	{
		this.setColorAndText("FFFF33", "");
		super.onPurchase(shipping);
	}
	
	@Override
	public boolean onPickup(Session session)
	{
		// Can't pickup post.its, should use DeletePostItHandler
		return false;
	}
}
