package mod_trading;

import org.openhabbo.items.Item;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class OfferTradeItemHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get trade + item
		Trade trade = session.get("trade");
		Item item = session.getItemInventory().getItem(request.readInt());

		// Attempt to offer the item
		if(trade != null && item != null)
		{
			trade.get(session).addItem(item);
		}
	}
}
