package mod_achievement;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.Version;
import org.openhabbo.sessions.SessionMsgRegistry;

public final class mod_achievements extends Module
{
	public mod_achievements()
	{
		super(new Version(1, 0, 0), "Enables support for in-game achievements.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_achievement/");
	}

	@Override
	public boolean onLoad()
	{
		AchievementManager.reload();
		
		SessionMsgRegistry.register(370, new GetAchievementsHandler());
		
		return true;
	}

	@Override
	public void onUnload()
	{
		SessionMsgRegistry.unregister(370);
	}
}
