package mod_autokick;

import org.openhabbo.events.EventListener;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;

public class EnterRoomSendUserInfoHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session) subject;
		RoomUser user = (RoomUser) args;

		// User is asleep?
		if(user.has("sleep"))
		{
			ServerMessage msg = new ServerMessage(EServerMessage.Sleep);
			msg.appendInt(user.virtualId);
			msg.appendBool(true);
			session.send(msg);
		}
		
		return true;
	}

}
