package mod_helptool;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class GetHelpCategoriesHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		HelpTool tool = HelpTool.getInstance();

		response.init(519);
		response.appendInt(tool.getAllCategories().size());
		for(HelpCategory category : tool.getAllCategories())
		{
			response.appendInt(category.id);
			response.appendStr(category.name);
			response.appendInt(category.topics.size());
		}
		session.send(response);
	}
}
