package mod_helptool;

import java.util.HashMap;
import java.util.Map;

public final class HelpTool
{
	private final Map<Integer, HelpSubject> subjects;
	private final Map<Integer, HelpCategory> categories;

	private HelpTool()
	{
		this.subjects = new HashMap<Integer, HelpSubject>();
		this.categories = new HashMap<Integer, HelpCategory>();
	}
	
	public void reload()
	{
		
	}
	
	public HelpSubject getSubject(int subjectId)
	{
		return this.subjects.get(subjectId);
	}
	
	public HelpCategory getCategory(int categoryId)
	{
		return this.categories.get(categoryId);
	}
}
