package mod_helptool;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;

@ModuleInfo
(
		name = "mod_helptool",
		description = "An in-game helptool, a searchable knowledge base with FAQ questions and categories.", 
		author = "Nils 'Nillus'",
		url = "http://habbo.nillus.net/mod_helptool/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_helptool extends Module
{
	public mod_helptool()
	{
		this.getAutoLoader().msgHandler(416, new InitHelpToolHandler());
        this.getAutoLoader().msgHandler(417, new GetHelpCategoriesHandler());
        this.getAutoLoader().msgHandler(418, new ViewHelpTopicHandler());
        this.getAutoLoader().msgHandler(419, new SearchHelpTopicsHandler());
        this.getAutoLoader().msgHandler(420, new GetTopicsInCategoryHandler());
		this.getAutoLoader().msgHandler(440, new SummonGuideHandler());
	}
	
	@Override
	public boolean onLoad()
	{
		HelpTool.getInstance().reload();
		
		return true;
	}
}
