package mod_marketplace;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.Version;
import org.openhabbo.sessions.SessionMsgRegistry;

public final class mod_marketplace extends Module
{
	public mod_marketplace()
	{
		super(new Version(1, 0, 0), "Enables support for the in-game furniture marketplace.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_marketplace/");
	}
	
	@Override
	public boolean onLoad()
	{
		SessionMsgRegistry.register(3010, new MarketplacePostItemHandler());
		SessionMsgRegistry.register(3012, new MarketplaceCanSellHandler());
		SessionMsgRegistry.register(3014, new MarketplacePurchaseHandler());
		SessionMsgRegistry.register(3015, new MarketplaceTakeBackHandler());
		SessionMsgRegistry.register(3016, new MarketplaceClaimCreditsHandler());
		SessionMsgRegistry.register(3018, new MarketplaceGetOffersHandler());
		SessionMsgRegistry.register(3019, new MarketplaceGetOwnOffersHandler());
		return true;
	}

	@Override
	public void onUnload()
	{
		SessionMsgRegistry.unregister(3010);
		SessionMsgRegistry.unregister(3012);
		SessionMsgRegistry.unregister(3014);
		SessionMsgRegistry.unregister(3015);
		SessionMsgRegistry.unregister(3016);
		SessionMsgRegistry.unregister(3018);
		SessionMsgRegistry.unregister(3019);
	}
}
