package mod_onewaydoor;

import org.openhabbo.items.ItemImplRegistry;
import org.openhabbo.modules.Module;
import org.openhabbo.modules.Version;

public final class mod_onewaydoor extends Module
{
	public mod_onewaydoor()
	{
		super(new Version(1, 0, 0), "Enables support for the One Way Door / One Way Gate furniture item.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_onewaydoor/");
	}

	@Override
	public boolean onLoad()
	{
		ItemImplRegistry.register("OneWayDoor", OneWayDoorItem.class);
		return true;
	}

	@Override
	public void onUnload()
	{
		ItemImplRegistry.unregister("OneWayDoor");
	}
}
