package mod_pets;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;

@ModuleInfo
(
		name = "mod_pets",
		description = "Enables support for pet 'furniture items', including advanced AI logic etc.",
		author = "Nils 'Nillus'",
		url = "http://habbo.nillus.net/modules/mod_pets/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_pets extends Module
{
	public mod_pets()
	{
		this.getAutoLoader().msgHandler(42, new CheckPetNameHandler());
		this.getAutoLoader().msgHandler(3000, new GetPetsInventoryHandler());
		this.getAutoLoader().msgHandler(3001, new GetPetInfoHandler());
		this.getAutoLoader().msgHandler(3002, new PlacePetHandler());
		this.getAutoLoader().msgHandler(3003, new PickUpPetHandler());
		this.getAutoLoader().msgHandler(3005, new RespectPetHandler());
	}
}
