package mod_wardrobe;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.Version;
import org.openhabbo.sessions.SessionMsgRegistry;

public final class mod_wardrobe extends Module
{
	public mod_wardrobe()
	{
		super(new Version(1, 0, 0), "Enables support for the avatar appearance wardrobe for users.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_wardrobe/");
	}

	@Override
	public boolean onLoad()
	{
		SessionMsgRegistry.register(375, new GetWardrobeHandler());
		SessionMsgRegistry.register(376, new SaveWardrobeHandler());
		return true;
	}

	@Override
	public void onUnload()
	{
		SessionMsgRegistry.unregister(375);
		SessionMsgRegistry.unregister(376);
	}
}
