package mod_exchangefurni;

import org.openhabbo.modules.Module;
import org.openhabbo.registries.SessionMsgRegistry;

public final class mod_exchangefurni extends Module
{
	public mod_exchangefurni()
	{
		super("1.0", "Enables support for Exchange Furni, furniture items that can be redeemed to credits.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_exchangefurni/");
	}
	
	@Override
	public boolean onLoad()
	{
		SessionMsgRegistry.register(183, new RedeemExchangeFurniHandler());
		
		return true;
	}

	@Override
	public void onUnload()
	{
		SessionMsgRegistry.unregister(183);
	}
}
