package mod_postit;

import org.openhabbo.modules.Module;
import org.openhabbo.registries.ItemImplRegistry;
import org.openhabbo.registries.SessionMsgRegistry;

public final class mod_postit extends Module
{
	public mod_postit()
	{
		super("1.0", "Enables support for post.it / sticky note furniture items.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_postit/");
	}

	@Override
	public boolean onLoad()
	{
		ItemImplRegistry.register("PostIt", PostItItem.class);
		
		SessionMsgRegistry.register(83, new OpenPostItHandler());
		SessionMsgRegistry.register(84, new SavePostItHandler());
		SessionMsgRegistry.register(85, new DeletePostItHandler());
		return true;
	}

	@Override
	public void onUnload()
	{
		ItemImplRegistry.unregister("PostIt");
		
		SessionMsgRegistry.unregister(83);
		SessionMsgRegistry.unregister(84);
		SessionMsgRegistry.unregister(85);
	}
}
