package org.openhabbo.sessions.handlers;

import org.openhabbo.OpenHABBO;
import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class AcceptRequestHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		if(!session.getInstantMessenger().initialized())
		{
			return;
		}

		int amount = request.readInt();
		for(int x = 0; x < amount; x++)
		{
			int fromUserId = request.readInt();
			if(session.getInstantMessenger().hasRequest(fromUserId))
			{
				OpenHABBO.getInstance().getImSvc().acceptBuddyRequest(session.getUser().id, fromUserId);
			}
		}
	}
}
