package org.openhabbo.sessions.handlers;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class GetGroupBadgesHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		response.init(EServerMessage.HabboGroupBadges);
		response.appendInt(0); // count of distinct groups in the room
		// TODO: for each string appendInt(groupId), appendStr(badgehash)
		session.send(response);
	}
}
