package org.openhabbo.sessions.handlers;

import java.util.Random;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class GetPopularTagsHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// TODO: don't use dummy data ofcourse!
		String[] tags = new String[0];

		// Serialize the taglist
		response.init(EServerMessage.PopularRoomTagsResult);
		response.appendInt(tags.length);
		for(String tag : tags)
		{
			response.appendStr(tag);
			response.appendInt(new Random().nextInt(5) + 1); // Tag weight
		}
		session.send(response);
	}
}
