package org.openhabbo.sessions.handlers;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class MoveHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		int tileX = request.readInt();
		int tileY = request.readInt();

		RoomUser user = session.getRoomUser();
		if(user != null && user.canMove())
		{
			user.requestNewTrip(tileX, tileY);
		}
	}
}
