package org.openhabbo.communication.requests.handshake;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionManager;

public class RequestDisconnectHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		SessionManager.getInstance().endSession(session.id, "disconnected by user");
	}
}
