package org.openhabbo.communication.requests.navigator;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.EServerMessage;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class CanCreateRoomHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// TODO: max rooms per user limit
		response.init(EServerMessage.CanCreateRoom);
		response.appendBool(false); // has error
		response.appendInt(-1); // if has error, then this = error ID
		session.send(response);
	}
}
