package org.openhabbo.communication.requests.navigator;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class OpenPubHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Read the room ID of the public room the user wants to enter
		request.readBool(); // unk
		int roomId = request.readInt();

		// Go go go, don't supply a password, because its a public room!
		session.tryGetRoomAccess(roomId, "");
	}
}
