package org.openhabbo.communication.requests.room.chat;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.EServerMessage;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class StopTypingHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		if(session.inRoom())
		{
			response.init(EServerMessage.UserTyping);
			response.appendInt(session.getRoomUser().avatarId);
			response.appendBool(false);
			session.getRoomInstance().broadcast(response);
		}
	}
}
