package org.openhabbo.communication.requests.room.self;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.rooms.instances.RoomTile;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.Session;

public class MoveHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		if(session.inRoom())
		{
			RoomUser user = session.getRoomUser();
			RoomTile tile = session.getRoomInstance().getMap().getTile(request.readInt(), request.readInt());
			if(user.canMove() && tile != null)
			{
				session.getRoomUser().setGoal(tile);
			}
		}
	}
}
