package org.openhabbo.communication.requests.room.self;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.EServerMessage;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.Session;

public class WaveHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		RoomUser user = session.getRoomUser();
		if(user != null)
		{
			response.init(EServerMessage.Wave);
			response.appendInt(user.avatarId);
			session.getRoomInstance().broadcast(response);
		}
	}
}
