package mod_corechatcmds;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;

@ModuleInfo
(
		name = "mod_corechatcmds",
		description = "Contains the core chatcommands of OpenHABBO.", 
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_corechatcmds/",
		version = "1.0.0",
		dependencies = {}
)
public final class mod_corechatcmds extends Module
{
	public mod_corechatcmds()
	{
		this.getAutoLoader().chatCmd("about", new AboutCommandHandler());
		this.getAutoLoader().chatCmd("stats", new StatsCommandHandler());
		this.getAutoLoader().chatCmd("help", new HelpCommandHandler());
		
		this.getAutoLoader().chatCmd("servcast", new ServcastCommandHandler());
		
		this.getAutoLoader().chatCmd("reloadmodules", new ReloadModulesCommandHandler());
		this.getAutoLoader().chatCmd("reloadroles", new ReloadUserRolesCommandHandler());
		this.getAutoLoader().chatCmd("reloaditemdefs", new ReloadItemDefinitionsCommandHandler());
		this.getAutoLoader().chatCmd("reloadcatalog", new ReloadCatalogCommandHandler());
		this.getAutoLoader().chatCmd("reloadmodels", new ReloadRoomModelsCommandHandler());
	}
}
