package mod_decoration;

import org.openhabbo.items.Item;
import org.openhabbo.users.User;

public final class DecorationItem extends Item
{	
	@Override
	public String processPurchaseDataToState(User user, String purchaseData)
	{
		try
		{
			if(this.definition.data.equals("landscape"))
			{
				return Float.toString(Float.parseFloat(purchaseData));
			}
			else
			{
				return Integer.toString(Integer.parseInt(purchaseData));
			}
		}
		catch(Exception ex)
		{
			return Item.ERROR_DATA;
		}
	}
}
