package mod_rateroom;

import org.openhabbo.communication.requests.room.content.GetRoomContentDataHandler;
import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;
import org.openhabbo.sessions.Session;

@ModuleInfo
(
		name = "mod_rateroom",
		description = "Allows users to rate guestrooms (thumbs up / thumbs down) they haven't rated yet.", 
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_rateroom/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_rateroom extends Module
{
	public mod_rateroom()
	{
		this.getAutoLoader().eventListener(Session.onLogin, new LoginHook());
		this.getAutoLoader().eventListener(GetRoomContentDataHandler.onSendRoomContent, new SendRoomContentHook());
		this.getAutoLoader().msgHandler(261, new RateRoomHandler());
	}
}
