package mod_wardrobe;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.FigureValidator;

public class SaveWardrobeHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the info of the slot to save
		int slotId = request.readInt();
		String figure = request.readStr();
		char gender = request.readStr().toUpperCase().equals('F') ? 'F' : 'M';

		// Valid figure?
		if(FigureValidator.figureIsValid(figure))
		{
			// Update the slot in the database
		}
	}
}
