package mod_rollers;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomMap;
import org.openhabbo.rooms.instances.RoomTile;

public final class RollerItem extends Item
{
	@Override
	public void onGenerateFloorMapTile(RoomMap map, RoomTile tile)
	{
		tile.height = (this.z + this.definition.height);
		if(!this.getRoom().has("rollerEngine"))
		{
			this.getRoom().set("rollerEngine", new RollerEngine(this.getRoom()));
		}
	}
}
