package mod_wired;

import org.openhabbo.rooms.instances.RoomUser;

public abstract class WiredAction extends WiredItem
{
	public int delay;
	private RoomUser user;
	
	public abstract void execute(RoomUser user);
	
	protected void execute(RoomUser user, int delay)
	{
		this.user = user;
		this.setTimeout(delay);
	}
	
	@Override
	protected void onTimeout()
	{
		// Validate user
		if(this.user != null && this.user.invalidated())
		{
			this.user = null;
		}
		
		// Delayed action execute
		this.setTempState("1");
		this.execute(this.user);
		this.user = null;
	}
}
