package com.fjordev.eventgraph.model

object Gender extends Enumeration
{
  val Male, Female, Unknown = Value

  def parse(str: String) = str match
  {
    case "male" => Male
    case "female" => Female
    case _ => Unknown
  }
}

case class AttendingUser(id: Long, firstName: String, lastName: String, gender: Gender.Value)
