package com.fjordev.eventgraph.model

import org.joda.time.DateTime

case class Event(id: Long,
                 name: String,
                 description: String,
                 startTime: DateTime,
                 endTime: DateTime,
                 location: String,
                 venue: Venue,
                 attending: Seq[AttendingUser] = Nil)