package net.nillus.habbo.communication.messages.outgoing.handshake;

import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.users.User;

public class UserObjectMessageComposer
{
	public final static ServerMessage compose(User user)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.UserObject);
		msg.appendStr(user.id);
		msg.appendStr(user.username);
		msg.appendStr(user.figure);
		msg.appendStr(user.gender);
		msg.appendStr(user.motto);
		msg.appendStr(user.realName);
		msg.appendInt(0);
		msg.appendStr("");
		msg.appendInt(0);
		msg.appendInt(0);
		msg.appendInt(user.respect);
		msg.appendInt(user.respectPoints); // respect to give away
		msg.appendInt(user.petRespectPoints);
		
		return msg;
	}
}
