package net.nillus.habbo.communication.messages.incoming.room.engine;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class GetCampaignItemsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// No campaigns!
		response.init(EServerMessage.ItemCampaigns);
		response.appendInt(0);
		session.send(response);
	}
}
