package habbod.game.chatcommands.moderation;

import habbod.ServerInstance;
import habbod.game.chatcommands.ChatCommandHandler;
import habbod.game.moderation.ModerationCenter;
import habbod.game.util.GameError;
import habbod.sessions.Session;

public class RoomAlertCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		// Issue alert
		ModerationCenter ctr = ServerInstance.get().getGameMgr().getModerationCenter();
		ctr.issueRoomAlert(session.getUser().id, session.getRoomInstance().getInfo().id, args[0], true);
	}
}
