package net.nillus.habbo.communication.messages.outgoing.friendslist;

import java.util.Set;
import java.util.Map.Entry;

import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.ServerMessage;

public class BuddyRequestsMessageComposer
{
	public final static ServerMessage compose(Set<Entry<Integer, String>> requests)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.BuddyRequests);
		msg.appendInt(requests.size());
		msg.appendInt(requests.size());
		for(Entry<Integer, String> request : requests)
		{
			msg.appendInt(request.getKey());
			msg.appendStr(request.getValue());
			msg.appendStr(request.getKey());
		}
		
		return msg;
	}
}
