package net.nillus.habbo.communication.messages.outgoing.inventory.trading;

import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.items.trading.TradePartner;

public class TradingOpenMessageComposer
{
	public final static ServerMessage compose(TradePartner p1, TradePartner p2)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.TradingOpen);
		msg.appendInt(p1.getSession().getUser().id);
		msg.appendBool(true);
		msg.appendInt(p2.getSession().getUser().id);
		msg.appendBool(true);
		
		return msg;
	}
}
