package net.nillus.habbo.communication.messages.incoming.handshake;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.EServerMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class GetSessionParametersHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// This contains the client build, server build, datetime format and base URL
		response.init(EServerMessage.SESSION_PARAMS);
		response.appendInt(9);
		response.appendInt(0);
		response.appendInt(0);
		response.appendInt(1);
		response.appendInt(1);
		response.appendInt(3);
		response.appendInt(0);
		response.appendInt(2);
		response.appendInt(1);
		response.appendInt(4);
		response.appendInt(0);
		response.appendInt(5);
		response.appendStr("dd-MM-yyyy");
		response.appendInt(7);
		response.appendBool(false);
		response.appendInt(8);
		response.appendStr("/client");
		response.appendInt(9);
		response.appendBool(false);
		session.send(response);
	}
}
