package net.nillus.habbo.communication.messages.incoming.inventory.trading;

import mod_trading.Trade;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class UnacceptTradeHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		Trade trade = session.get("trade");
		if(trade != null)
		{
			trade.get(session).accept(false);
		}
	}
}
