package net.nillus.habbo.communication.messages.incoming.room.session;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class LeaveRoomHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// User actually in a room?
		if(session.inRoom())
		{
			// Start a new movement trip to the door tile of this room (this will trigger leaving the room upon arrival)
			session.getRoomUser().setGoal(session.getRoomInstance().getMap().getDoor());
		}
	}
}
