package net.nillus.habbo.core;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public final class Console
{
	public static int readKey()
	{
		try
		{
			return System.in.read();
		}
		catch(IOException e)
		{
			System.out.println("Console error! Exception: " + e);
		}
		return -1;
	}

	public static String readLine()
	{
		String s = "";
		try
		{
			InputStreamReader converter = new InputStreamReader(System.in);
			BufferedReader in = new BufferedReader(converter);
			s = in.readLine();
		}
		catch(Exception e)
		{
			System.out.println("Console error! Exception: " + e);
		}
		return s;
	}
}
