package net.nillus.habbo.items.impl;

import java.util.List;

import mod_effects.EffectInventory;
import net.nillus.habbo.items.Item;
import net.nillus.habbo.sessions.Session;
import net.nillus.habbo.sessions.SessionManager;

public final class EffectItem extends Item
{
	@Override
	public void onPurchase(List<Item> shipping)
	{
		Session session = SessionManager.getInstance().getSessionByUserId(this.ownerId);
		EffectInventory inventory = session.get("effects");
		if(inventory != null)
		{
			inventory.addEffect(this.definition.displayId, 60 * 60); // Valid for 1 hour after activation
		}
	}
}
