package habbod.game.rooms.items;

import habbod.ServerInstance;
import habbod.communication.ServerMessage;
import habbod.game.rooms.Room;
import habbod.storage.SQLHelper;

public abstract class RoomWallItem extends RoomItem
{
	public String position;
	
	@Override
	public void refreshState()
	{
		//this.getRoom().broadcast(ObjectDataUpdateMessageComposer.compose(this));
	}
	
	
	@Override
	public void serialize(ServerMessage msg)
	{
		msg.appendStr(this.id);
		msg.appendInt(this.definition.displayId);
		msg.appendStr(this.position);
		msg.appendStr(this.state);
		msg.appendBool(false);
	}
	
	@Override
	public void update()
	{
		Room room = this.getRoom().getInfo();
		ServerInstance.get().getDb().execute("UPDATE items SET owner_id=" + room.ownerId + ",room_id=" + room.id + ",wallposition='" + SQLHelper.escape(this.data) + "' WHERE id=" + this.id);
 	}
}
