package habbod.game.rooms.items.wall;

import habbod.game.rooms.instances.RoomUser;
import habbod.game.rooms.items.RoomWallItem;
import habbod.game.util.GameUtil;

public final class WheelOfFortuneItem extends RoomWallItem
{
	@Override
	public boolean onToggle(RoomUser user, int instruction)
	{
		// Not already spinning yet?
		if(!this.hasTimeout())
		{
			// Start a new spin...
			this.setTempState("-1");
			this.setTimeout(10);
			
			return true;
		}
		
		return false;
	}

	@Override
	protected void onTimeout()
	{
		// Roll + save to a random number
		int roll = GameUtil.getRandomInt(1, 10);
		this.setState(Integer.toString(roll));
	}
}
