package net.nillus.habbo.game.chatcommands;

import net.nillus.habbo.game.util.GameError;
import net.nillus.habbo.sessions.Session;

public interface ChatCommandHandler
{
	public final static char COMMAND_HEAD = ':';

	public String getDescription();

	public String getRequiredRight();
	
	public String[] getSyntax();
	
	public void handle(Session session, String[] args) throws GameError;
}
