package net.nillus.habbo.game.rooms.pathfinding;

public final class RotationCalculator
{
	public final static byte calculateDirection(int x, int y, int tileX, int tileY)
	{
		byte result = 0;
		if(x > tileX && y > tileY)
		{
			result = 7;
		}
		else if(x < tileX && y < tileY)
		{
			result = 3;
		}
		else if(x > tileX && y < tileY)
		{
			result = 5;
		}
		else if(x < tileX && y > tileY)
		{
			result = 1;
		}
		else if(x > tileX)
		{
			result = 6;
		}
		else if(x < tileX)
		{
			result = 2;
		}
		else if(y < tileY)
		{
			result = 4;
		}
		else if(y > tileY)
		{
			result = 0;
		}
		return result;
	}

	public final static byte calcAvatarMoveDirection(int x, int y, int x2, int y2)
	{
		if(x == x2)
		{
			if(y < y2) return 4;
			else return 0;
		}
		else if(x > x2)
		{
			if(y == y2) return 6;
			else if(y < y2) return 5;
			else return 7;
		}
		else if(x < x2)
		{
			if(y == y2) return 2;
			else if(y < y2) return 3;
			else return 1;
		}

		return 0;
	}
}
