package habbod.communication.messages.incoming.avatar;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.users.UserManager;
import habbod.sessions.Session;

public class SaveWardrobeOutfitHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the info of the slot to save
		int slot = request.readInt();
		String figure = request.readStr();
		char gender = request.readStr().toUpperCase().equals('F') ? 'F' : 'M';

		// Valid figure?
		//if(FigureValidator.figureIsValid(figure))
		{
			UserManager.getInstance().modifyWardrobeForUser(session.getUser().id, slot, figure, gender);
		}
	}
}
