package habbod.communication.messages.incoming.friendlist;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.communication.messages.outgoing.friendslist.BuddyRequestsMessageComposer;
import habbod.sessions.Session;

import java.util.Set;
import java.util.Map.Entry;


public class GetBuddyRequestsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		Set<Entry<Integer, String>> requests = session.getMessenger().getRequests();
		session.send(BuddyRequestsMessageComposer.compose(requests));
	}
}
