package habbod.communication.messages.incoming.handshake;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.communication.messages.outgoing.handshake.UserObjectMessageComposer;
import habbod.sessions.Session;

public class GetUserInfoHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		session.send(UserObjectMessageComposer.compose(session.getUser()));
	}
}
