package habbod.communication.messages.incoming.inventory.trading;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.items.trading.Trade;
import habbod.sessions.Session;

public class AcceptTradeHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		Trade trade = session.get("trade");
		if(trade != null)
		{
			trade.get(session).accept(true);
		}
	}
}
