package habbod.communication.messages.incoming.navigator;


import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.navigator.RoomEvent;
import habbod.sessions.Session;

public class CanCreateEventHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Check for error conditions
		int result = RoomEvent.canCreateRoomEvent(session);
		
		// Send result
		response.init(EServerMessage.CanCreateRoomEvent);
		response.appendBool((result == RoomEvent.ERROR_NONE));
		response.appendInt(result);
		session.send(response);
	}
}
