package habbod.communication.messages.incoming.users;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.sessions.Session;

public class GetGroupBadgesHandler implements RequestHandler
{
	public final static int HabboGroupBadges = 309;
	
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		response.init(GetGroupBadgesHandler.HabboGroupBadges);
		response.appendInt(0); // count of distinct groups in the room
		// TODO: for each string appendInt(groupId), appendStr(badgehash)
		session.send(response);
	}
}
