package habbod.communication.messages.incoming.users;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.sessions.Session;

public class GetIgnoredUsersHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		response.init(EServerMessage.IgnoredUsers);
		response.appendInt(0);
		
		session.send(response);
	}
}
