package net.nillus.habbo.communication.messages.incoming.friendlist;

import java.util.Set;
import java.util.Map.Entry;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.communication.messages.outgoing.friendslist.BuddyRequestsMessageComposer;
import net.nillus.habbo.sessions.Session;

public class GetBuddyRequestsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		Set<Entry<Integer, String>> requests = session.getMessenger().getRequests();
		session.send(BuddyRequestsMessageComposer.compose(requests));
	}
}
