package mod_effects;

import net.nillus.habbo.events.EventListener;
import net.nillus.habbo.sessions.Session;

public class LoginHook implements EventListener
{

	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session) subject;

		// Reload effect inventory
		EffectInventory effects = new EffectInventory(session);
		effects.reload();

		// Attach effect inventory
		session.set("effects", effects);
		
		return true;
	}
}
