package mod_roomevent;

import net.nillus.habbo.events.EventListener;
import net.nillus.habbo.rooms.instances.RoomInstance;

public class RoomInstanceLoadHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		RoomInstance instance = (RoomInstance)subject;
		if(instance.getInfo().isGuestRoom())
		{
			RoomEvent event = RoomEventManager.getInstance().getEventForRoom(instance.getInfo().id);
			if(event != null)
			{
				// Sync the info once again
				event.room = instance.getInfo();
				instance.set("event", event);
			}
		}
		return true;
	}
}
