package mod_teleporter;

import net.nillus.habbo.items.Item;
import net.nillus.habbo.items.ItemManager;
import net.nillus.habbo.items.impl.TeleporterItem;
import net.nillus.habbo.modules.Module;
import net.nillus.habbo.modules.ModuleInfo;

@ModuleInfo
(
		name = "mod_teleporter",
		description = "Enables support for teleporter furniture items.", 
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_teleporter/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_teleporter extends Module
{
	public mod_teleporter()
	{
		this.getAutoLoader().itemImpl("Teleporter", TeleporterItem.class);
	}
	
	public static int getTeleporterRoomId(int itemId)
	{
		Item item = ItemManager.getInstance().getItem(itemId);
		if(item == null)
		{
			return -1;
		}
		else
		{
			return item.roomId;
		}
	}
}
