package mod_advertisement;


import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.EServerMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class GetAdvertisementHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get a random room advertisement
		RoomAdvertisement ad = mod_advertisement.getRandomAdvertisement();
		
		// Send the data for the client
		response.init(EServerMessage.RoomAdvertisement);
		if(ad == null)
		{
			response.appendStr("");
			response.appendStr("");
		}
		else
		{
			response.appendStr(ad.imageUrl);
			response.appendStr(ad.clickUrl);
		}
		session.send(response);
	}
}
