package mod_autokick;


import net.nillus.habbo.communication.messages.incoming.room.engine.GetRoomContentDataHandler;
import net.nillus.habbo.modules.Module;
import net.nillus.habbo.modules.ModuleInfo;
import net.nillus.habbo.rooms.instances.RoomAvatar;

@ModuleInfo
(
		name = "mod_autokick",
		description = "Users in rooms fall asleep when being idle for too long, and are automatically kicked after sleeping too long.",
		author = "Nils 'Nillus'",
		url = "http://habbo.nillus.net/modules/mod_autokick/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_autokick extends Module
{
	public mod_autokick()
	{
		this.getAutoLoader().eventListener(GetRoomContentDataHandler.onSendUserInfo, new EnterRoomSendUserInfoHook());
		this.getAutoLoader().eventListener(RoomAvatar.onPulse, new RoomUserPulseHook());
		this.getAutoLoader().eventListener(RoomAvatar.onUnidle, new RoomUserUnidleHook());
	}
}
