package mod_pets;

import net.nillus.habbo.events.EventListener;
import net.nillus.habbo.sessions.Session;


public class LoginHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session) subject;
		
		// Create & load pets inventory
		PetInventory pets = new PetInventory(session);
		pets.reload();
		
		session.set("pets", pets);
		
		return true;
	}
}
