package mod_wired.addons;

import net.nillus.habbo.items.impl.SwitchStateItem;
import net.nillus.habbo.rooms.instances.RoomUser;


public class WiredSwitch extends SwitchStateItem
{
	@Override
	public boolean onToggle(RoomUser user, int instruction)
	{
		// User operating?
		if(user == null)
		{
			return false;
		}
		
		// Require touching
		if(!user.getTile().touches(this.getTile()) && user.canMove())
		{
			user.setGoal(this.getTileInFront());
			return false;
		}
		
		// Switch!
		return super.onToggle(null, instruction);
	}
}
