package net.nillus.habbo.communication;

public interface EServerMessageAlternate
{
	  public final static int HELLO = 0;
      public final static int SECRET_KEY = 1;
      public final static int USER_RIGHTS = 2;
      public final static int AUTHENTICATION_OK = 3;
      public final static int USER_OBJECT = 5;
      public final static int CREDITS_BALANCE = 6;
      public final static int SUBSCRIPTION_STATUS = 7;
      public final static int ROOM_KICKED = 18;
      public final static int ROOM_OPEN_FLAT = 19;
      public final static int MESSENGER_FRIENDS_LIST = 12;
      public final static int MESSENGER_UPDATES = 13;
      public final static int ROOM_CHAT_SAY = 24;
      public final static int ROOM_CHAT_WHISPER = 25;
      public final static int ROOM_CHAT_SHOUT = 26;
      public final static int ROOM_MUTED = 27;
      public final static int ROOM_USER_LIST = 28;
      public final static int ROOM_STATIC_OBJECTS = 30;
      public final static int ROOM_HEIGHTMAP = 31;
      public final static int ROOM_FLOOR_OBJECTS = 32;
      public final static int GENERIC_ERROR = 33;
      public final static int ROOM_USER_STATUS_LIST = 34;
      public final static int CATALOG_VERIFY_PET_NAME_RESULT = 36;
      public final static int ROOM_DOORBELL_ACCEPTED = 41;
      public final static int ROOM_RIGHTS = 42;
      public final static int ROOM_RIGHTS_REMOVED = 43;
      public final static int ROOM_WALL_OBJECTS = 45;
      public final static int ROOM_DECORATION = 46;
      public final static int ROOM_RIGHTS_OWNER = 47;
      public final static int STICKY_DATA = 48;
      public final static int PING = 50;
      public final static int ROOM_CREATE_RESULT = 59;
      public final static int CATALOG_PURCHASE_RESULT = 67;
      public final static int CATALOG_PURCHASE_BALANCE_ERROR = 68;
      public final static int ROOM_ENTRY_MODEL = 69;
      public final static int INFOBUS_QUESTION_START = 79;
      public final static int INFOBUS_QUESTION_RESULT = 80;
      public final static int ROOM_WALL_ITEM_PLACED = 83;
      public final static int ROOM_WALL_ITEM_REMOVED = 84;
      public final static int ROOM_WALL_ITEM_MOVED = 85;
      public final static int ROOM_FLOOR_ITEM_UPDATE_FLAGS = 88;
      public final static int ROOM_DOORBELL = 91;
      public final static int ROOM_ITEM_PLACED = 93;
      public final static int ROOM_REMOVE_FLOOR_ITEM = 94;
      public final static int ROOM_ITEM_UPDATED = 95;
      public final static int INVENTORY_ITEM_ADDED = 98;
      public final static int INVENTORY_ITEM_REMOVED = 99;
      public final static int INVENTORY_REFRESH = 101;
      public final static int ROOM_TRADE_INITIATED = 104;
      public final static int ROOM_TRADE_CANNOT_INITIATE = 105;
      public final static int ROOM_TRADE_OFFERS = 108;
      public final static int ROOM_TRADE_ACCEPT_STATE = 109;
      public final static int ROOM_TRADE_ABORTED = 110;
      public final static int ROOM_TRADE_FINALIZING = 111;
      public final static int ROOM_TRADE_FINALIZED = 112;
      public final static int CATALOG_INDEX = 126;
      public final static int CATALOG_PAGE = 127;
      public final static int ROOM_DOORBELL_NO_RESPONSE = 131;
      public final static int MESSENGER_REQUEST_NOTIFICATION = 132;
      public final static int MESSENGER_IM_MESSAGE = 134;
      public final static int MESSENGER_IM_INVITE = 135;
      public final static int NOTIFICATION_HOTEL_MANAGER = 139;
      public final static int INVENTORY = 140;
      public final static int NOTIFICATION = 161;
      public final static int ROOM_URL = 166;
      public final static int CATALOG_REDEEM_OK = 212;
      public final static int CATALOG_REDEEM_ERROR = 213;
      public final static int NAVIGATOR_FLAT_CATEGORIES = 221;
      public final static int ROOM_JOIN_ERROR = 224;
      public final static int ROOM_USER_BADGES = 228;
      public final static int USER_BADGE_INVENTORY = 229;
      public final static int ROLLER_EVENT = 230;
      public final static int SESSION_PARAMS = 257;
      public final static int MESSENGER_ERROR_EVENT = 260;
      public final static int MESSENGER_IM_ERROR = 261;
      public final static int USER_INFO_UPDATE = 266;
      public final static int USER_WARDROBE = 267;
      public final static int INIT_CRYPTO = 277;
      public final static int CLUB_GIFT_READY = 280;
      public final static int MESSENGER_FOLLOW_RESULT = 286;
      public final static int DISCONNECT_REASON = 287;
      public final static int ROOM_FURNI_CAMPAIGNS = 297;
      public final static int ERROR_NOTIFICATION = 299;
      public final static int SONG_DATA = 300;
      public final static int CLIENT_CONFIG = 308;
      public final static int ROOM_GROUP_BADGES = 309;
      public final static int HELP_SUBMIT_CFH_RESULT = 321;
      public final static int MESSENGER_REQUESTS_LIST = 314;
      public final static int HELP_CFH_DELETED_OK = 320;
      public final static int MUSIC_PLAYING = 327;
      public final static int JUKEBOX_DISKS = 333;
      public final static int JUKEBOX_PLAYLIST = 334;
      public final static int ROOM_RATING_INFO = 345;
      public final static int ROOM_USER_TAGS = 350;
      public final static int SESSION_LATENCY_TEST = 354;
      public final static int ROOM_USER_TYPING = 361;
      public final static int MOODLIGHT_DATA = 365;
      public final static int ROOM_EVENT_CAN_CREATE = 367;
      public final static int ROOM_EVENT_INFO = 370;
      public final static int ROOM_IGNORE_RESULT = 419;
      public final static int IGNORED_USERS_LIST = 420;
      public final static int MESSENGER_SEARCH_RESULT = 435;
      public final static int ACHIEVEMENTS_LIST = 436;
      public final static int ACHIEVEMENT_UNLOCKED = 437;
      public final static int ACTIVITY_POINTS_BALANCE = 438;
      public final static int UNIQUE_MACHINE_ID = 439;
      public final static int ROOM_USER_RESPECTED = 440;
      public final static int CATALOG_UPDATED_NOTIFICATION = 441;
      public final static int ACHIEVEMENT_SCORE_UPDATE = 443;
      public final static int NAVIGATOR_OFFICIAL_ROOMS = 450;
      public final static int NAVIGATOR_ROOM_LIST = 451;
      public final static int NAVIGATOR_POPULAR_TAGS = 452;
      public final static int ROOM_PUBLIC_MODELDATA = 453;
      public final static int ROOM_INFO = 454;
      public final static int USER_HOME_ROOM = 455;
      public final static int ROOM_UPDATED_NOTIFICATION_2 = 456;
      public final static int ROOM_UPDATED_NOTIFICATION_3 = 457;
      public final static int NAVIGATOR_FAVORITE_ROOMS = 458;
      public final static int NAVIGATOR_FAVORITE_ROOMS_CHANGED = 459;
      public final static int USER_EFFECT_LIST = 460;
      public final static int USER_EFFECT_ADDED = 461;
      public final static int USER_EFFECT_ACTIVATED = 462;
      public final static int USER_EFFECT_EXPIRED = 463;
      public final static int ROOM_EDIT_INFO = 465;
      public final static int ROOM_UPDATED_NOTIFICATION_1 = 467;
      public final static int ROOM_HEIGHTMAP_RELATIVE = 470;
      public final static int ROOM_INFO_RIGHTS = 471;
      public final static int ROOM_WALLS_STATUS = 472;
      public final static int ROOM_USER_DANCE = 480;
      public final static int ROOM_USER_WAVE = 481;
      public final static int ROOM_USER_CARRY = 482;
      public final static int ROOM_USER_EFFECT = 485;
      public final static int ROOM_USER_SLEEP = 486;
      public final static int CATALOG_RECYCLER_REWARDS = 506;
      public final static int CATALOG_RECYLCER_CONFIG = 507;
      public final static int CATALOG_RECYCLER_RESULT = 508;
      public final static int ROOM_RIGHTS_GIVEN_CONFIRMATION = 510;
      public final static int ROOM_RIGHTS_REMOVED_CONFIRMATION = 511;
      public final static int ROOM_CAN_CREATE_RESULT = 512;
      public final static int ROOM_ITEM_PLACEMENT_ERROR = 516;
      public final static int INFO_FEED_ENABLE = 517;
      public final static int HELP_HOMEPAGE = 518;
      public final static int HELP_CATEGORY_LIST = 519;
      public final static int HELP_TOPIC = 520;
      public final static int HELP_SEARCH_RESULTS = 521;
      public final static int HELP_TOPIC_LIST = 522;
      public final static int MODERATION_TICKET = 530;
      public final static int MODERATION_TOOL_INIT = 531;
      public final static int MODERATION_PICKING_ERROR = 532;
      public final static int MODERATION_USER_INFO = 533;
      public final static int MODERATION_CHATLOGS_TICKET = 534;
      public final static int MODERATION_CHATLOGS_ROOM = 535;
      public final static int MODERATION_CHATLOGS_USER = 536;
      public final static int MODERATION_ROOM_VISITS = 537;
      public final static int MODERATION_ROOM_INFO = 538;
      public final static int HELP_CFH_CLOSED_RESULT = 540;
      public final static int INVENTORY_PETS = 600;
      public final static int ROOM_PET_INFO = 601;
      public final static int INVENTORY_PET_ADDED = 603;
      public final static int INVENTORY_PET_REMOVED = 604;
      public final static int ROOM_PET_UPDATE = 609;
      public final static int CATALOG_CAN_GIFT = 622;
      public final static int CATALOG_CLUB_OFFERS = 625;
      public final static int ACHIEVEMENT_DATA_LIST = 627;
      public final static int FIREWORKS_CHARGE_INFO = 629;
      public final static int WIRED_FURNI_TRIGGER = 650;
      public final static int WIRED_FURNI_ACTION = 651;
      public final static int WIRED_FURNI_CONDITION = 652;
      public final static int QUEST_LIST = 800;
      public final static int QUEST_COMPLETED = 801;
      public final static int QUEST_STARTED = 802;
      public final static int QUEST_ABORTED = 803;
      public final static int USER_ALERT_MODERN = 808;
      public final static int MESSAGE_OF_THE_DAY = 810;
      public final static int CATALOG_PET_DATA = 827;
      public final static int FRIEND_BAR_RESULT = 831;
      public final static int INVENTORY_NEW_ITEM = 832;
      public final static int MESSENGER_FRIEND_EVENT = 833;
      public final static int ACHIEVEMENTS_PROGRESS_UPDATE = 913;
      public final static int GET_STREAM_EVENT = 950;  
}
