package habbod2.communication.messages.incoming.handshake;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.handshake.SessionParamsMessageComposer;
import habbod2.game.sessions.Session;

public class GetSessionParametersHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		session.send(SessionParamsMessageComposer.compose());
	}
}
