package habbod2.communication.messages.incoming.inventory.avatareffect;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.sessions.Session;

public class AvatarEffectSelectedHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Determine effect to select (-1 = no effect)
		int effectId = request.readInt();
		
		// Request effect to be selected (or disabled)
		session.getEffectInventory().selectEffect(effectId);
	}
}
