package habbod2.communication.messages.incoming.inventory.trading;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.items.InventoryItem;
import habbod2.game.items.trading.Trade;
import habbod2.game.sessions.Session;

public class AddItemToTradeHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get trade + item
		Trade trade = session.getTrade();
		InventoryItem item = session.getItemInventory().getItem(request.readInt());

		// Attempt to offer the item
		if(trade != null && item != null)
		{
			trade.get(session).addItem(item);
		}
	}
}
