package habbod2.communication.messages.incoming.inventory.trading;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.items.trading.Trade;
import habbod2.game.rooms.instances.RoomAvatar;
import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.sessions.Session;

public class OpenTradingHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get the users
		RoomUser me = session.getRoomUser();
		RoomAvatar other = session.getRoomInstance().getAvatarByAvatarId(request.readInt());

		// Attempt to create a trade
		if(me != null && other != null && other instanceof RoomUser && session.getRoomInstance().getInfo().isGuestRoom())
		{
			Trade.create(me.getSession(), ((RoomUser)other).getSession());
		}
	}
}
