package habbod2.communication.messages.incoming.inventory.trading;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.items.trading.Trade;
import habbod2.game.sessions.Session;

public class UnacceptTradingHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		Trade trade = session.getTrade();
		if(trade != null)
		{
			trade.get(session).accept(false);
		}
	}
}
