package habbod2.communication.messages.incoming.navigator;

import java.util.Map;
import java.util.Collections;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.navigator.PopularRoomTagsResultMessageComposer;
import habbod2.game.sessions.Session;

public class GetPopularRoomTagsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		Map<String, Integer> tags = Collections.emptyMap();
		session.send(PopularRoomTagsResultMessageComposer.compose(tags));
	}
}
