package habbod2.communication.messages.incoming.navigator;

import java.util.List;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.rooms.Room;
import habbod2.game.rooms.RoomManager;
import habbod2.game.sessions.Session;
import habbod2.communication.messages.outgoing.navigator.GuestRoomSearchResultMessageComposer;

public class MyRoomHistorySearchHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get the recent rooms list for this user
		RoomManager mgr = Instance.get().getGameMgr().getRoomMgr();
		List<Room> rooms = mgr.getRecentGuestRoomsForUser(session.getUser().id, 30);

		// Send the result
		session.send(GuestRoomSearchResultMessageComposer.compose(7, 0, "", rooms));
	}
}
