package habbod2.communication.messages.incoming.room.chat;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.room.chat.UserTypingMessageComposer;
import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.sessions.Session;

public class StartTypingHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		if(session.inRoom())
		{
			RoomUser user = session.getRoomUser();
			session.getRoomInstance().broadcast(UserTypingMessageComposer.compose(user, true));
		}
	}
}
