package habbod2.communication.messages.incoming.room.session;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.sessions.Session;

public class GoToFlatHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		int roomId = request.readInt();
		if(roomId == session.authenticatedRoomId)
		{
			session.goToRoom(roomId);
		}
	}
}
