package habbod2.communication.messages.incoming.room.session;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.sessions.Session;

public class OpenFlatConnectionHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Read the room ID of the room the user wants to enter, and the given password (if any)
		int roomId = request.readInt();
		String password = request.readStr();

		// Go go go, and supply the password the user provided (optionally)
		session.tryGetRoomAccess(roomId, password);
	}
}
