package habbod2.communication.messages.incoming.users;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.users.subscriptions.UserSubscription;
import habbod2.game.sessions.Session;
import habbod2.communication.messages.outgoing.users.ScrSendUserInfoMessageComposer;

public class ScrGetUserInfoHandler implements RequestHandler
{
	@SuppressWarnings("unused")
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get sub
		String subId = request.readStr().toLowerCase();
		UserSubscription sub = null;
		
		// Send info
		if(sub == null)
		{
			session.send(ScrSendUserInfoMessageComposer.compose(subId));
		}
		else
		{
			session.send(ScrSendUserInfoMessageComposer.compose(sub));
		}
	}
}
