package habbod2.communication.messages;

public interface EServerMessageOld
{
	public static final int Hello = 0;
	public static final int SecretKey = 1;
	public static final int UserRights = 2;
	public static final int AuthenticationOK = 3;
	public static final int UserObject = 5;
	public static final int CreditBalance = 6;
	public static final int ScrSendUserInfo = 7;
	public static final int CloseConnection = 18;
	public static final int OpenConnection = 19;
	public static final int Chat = 24;
	public static final int Whisper = 25;
	public static final int Shout = 26;
	public static final int Users = 28;
	public static final int UserRemove = 29;
	public static final int HeightMap = 31;
	public static final int FloorItems = 32;
	public static final int GenericError = 33;
	public static final int UserUpdate = 34;
	public static final int UserBanned = 35;
	public static final int FlatAccessible = 41;
	public static final int YouAreController = 42;
	public static final int YouAreNotController = 43;
	public static final int NoSuchFlat = 44;
	public static final int WallItems = 45;
	public static final int RoomProperty = 46;
	public static final int YouAreOwner = 47;
	public static final int PostItData = 48;
	public static final int Ping = 50;
	public static final int FlatCreated = 59;
	public static final int DoorOtherEndDeleted = 63;
	public static final int DoorNotInstalled = 64;
	public static final int PurchaseError = 65;
	public static final int PurchaseOK = 67;
	public static final int NotEnoughBalance = 68;
	public static final int RoomReady = 69;
	public static final int PurchaseGiftError = 76;
	public static final int ItemAdd = 83;
	public static final int ItemRemove = 84;
	public static final int ItemUpdate = 85;
	public static final int ObjectDataUpdate = 88;
	public static final int DiceValue = 90;
	public static final int Doorbell = 91;
	public static final int ObjectAdd = 93;
	public static final int ObjectRemove = 94;
	public static final int ObjectUpdate = 95;
	public static final int InventoryInsert = 98;
	public static final int InventoryRemove = 99;
	public static final int InventoryUpdate = 101;
	public static final int CatalogIndex = 126;
	public static final int CatalogPage = 127;
	public static final int PresentOpened = 129;
	public static final int FlatAccessDenied = 131;
	public static final int FurniList = 140;
	public static final int PostItPlaced = 145;
	public static final int Caution = 139;
	public static final int Notif = 161;
	public static final int RoomStatsTracker = 166;
	public static final int HeightMapUpdate = 219;
	public static final int UserFlatCats = 221;
	public static final int FlatCat = 222;
	public static final int RoomEntryError = 224;
	public static final int UserBadges = 228;
	public static final int Badges = 229;
	public static final int SlideObjectBundle = 230;
	public static final int SessionParams = 257;
	public static final int RoomAdvertisement = 258;
	public static final int UserChange = 266;
	public static final int InitCrypto = 277;
	public static final int RoomForward = 286;
	public static final int DisconnectReason = 287;
	public static final int PurchaseNotAllowed = 296;
	public static final int ItemCampaigns = 297;
	public static final int ErrorReport = 299;
	public static final int OneWayDoorStatus = 312;
	public static final int UserTyping = 361;
	public static final int CanCreateRoomEvent = 367;
	public static final int RoomEvent = 370;
	public static final int IgnoreResult = 419;
	public static final int IgnoredUsers = 420;
	public static final int Achievements = 436;
	public static final int AchievementNotification = 437;
	public static final int ActivityPointNotification = 438;
	public static final int UniqueMachineID = 439;
	public static final int RespectNotification = 440;
	public static final int CatalogPublished = 441;
	public static final int NavigatorFrontPageResult = 450;
	public static final int GuestRoomSearchResult = 451;
	public static final int PopularRoomTagsResult = 452;
	public static final int PublicRoomFiles = 453;
	public static final int GuestRoomResult = 454;
	public static final int HomeRoom = 455;
	public static final int RoomInfoUpdated = 456;
	public static final int RoomIconUpdateResult = 457;
	public static final int Favourites = 458;
	public static final int FavouriteChanged = 459;
	public static final int RoomSettingsData = 465;
	public static final int RoomSettingsError = 466;
	public static final int RoomSettingsSaved = 467;
	public static final int RoomSettingsSaveError = 468;
	public static final int FloorHeightMap = 470;
	public static final int RoomEntryInfo = 471;
	public static final int Dance = 480;
	public static final int Wave = 481;
	public static final int CarryObject = 482;
	public static final int UserMottoUpdate = 484;
	public static final int Sleep = 486;
	public static final int UseObject = 488;
	public static final int FlatControllerAdded = 510;
	public static final int FlatControllerRemoved = 511;
	public static final int CanCreateRoom = 512;
	public static final int PlaceObjectError = 516;
	public static final int InfoFeedEnable = 517;
	public static final int Signature = 1337;
	public static final int MessengerInit = 12;
	public static final int FriendListUpdate = 13;
	public static final int NewBuddyRequest = 132;
	public static final int NewInstantMessage = 134;
	public static final int RoomInvite = 135;
	public static final int MessengerError = 260;
	public static final int InstantMessageError = 261;
	public static final int FollowFriendFailed = 349;
	public static final int BuddyRequests = 314;
	public static final int AcceptBuddyResult = 315;
	public static final int RoomInviteError = 262;
	public static final int HabboSearchResult = 435;
	public static final int AvatarEffects = 460;
	public static final int AvatarEffectAdded = 461;
	public static final int AvatarEffectEnabled = 462;
	public static final int AvatarEffectExpired = 463;
	public static final int AvatarEffectSelected = 464;
	public static final int TradingYouAreNotAllowed = 102;
	public static final int TradingOtherNotAllowed = 103;
	public static final int TradingOpen = 104;
	public static final int TradingAlreadyOpen = 105;
	public static final int TradingNotOpen = 106;
	public static final int TradingNoSuchItem = 107;
	public static final int TradingItemList = 108;
	public static final int TradingAccept = 109;
	public static final int TradingCloseByUser = 110;
	public static final int TradingConfirmation = 111;
	public static final int TradingCompleted = 112;
	public static final int VoucherRedeemOk = 212;
	public static final int VoucherRedeemError = 213;
	public static final int JukeboxSongDisks = 334;
	public static final int PlayListSongAdded = 335;
	public static final int NowPlaying = 327;
	public static final int JukeboxPlayListFull = 337;
	public static final int Wardrobe = 267;
	public static final int ChangeUserNameResult = 570;
	public static final int CheckUserNameResult = 571;
	public static final int WiredFurniTrigger = 650;
	public static final int WiredFurniAction = 651;
	public static final int WiredFurniCondition = 652;
	public static final int WiredOpen = 653;
	public static final int YouArePlayingGame = 700;
	public static final int GamePlayerValue = 701;
	public static final int Quests = 800;
	public static final int QuestCompleted = 801;
	public static final int Quest = 802;
	public static final int QuestCancelled = 803;
	public static final int FaceBookAuthenticate = 901;
	public static final int FaceBookError = 902;
	public static final int FaceBookAppRequest = 910;
	public static final int SoundSettings = 308;
	public static final int TraxSongInfo = 300;
	public static final int PlayList = 323;
	public static final int UserSongDisksInventory = 333;
	public static final int UserWardrobe = 267;
}
