package habbod2.communication.messages.outgoing.catalog;

import habbod2.communication.EServerMessage;
import habbod2.game.catalog.CatalogProduct;
import habbod2.net.protocol.ServerMessage;

public class IsOfferGiftableMessageComposer
{
	public static ServerMessage compose(CatalogProduct product, boolean isGiftable)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.IsOfferGiftable);
		msg.appendInt(product.id);
		msg.appendBool(isGiftable);
		
		return msg;
	}
}
