package habbod2.communication.messages.outgoing.friendlist;

import habbod2.communication.EServerMessage;
import habbod2.net.protocol.ServerMessage;

public class FollowFriendFailedMessageComposer
{
	public static final int ERROR_NOFRIEND = 0;
	public static final int ERROR_OFFLINE = 1;
	public static final int ERROR_NOTINROOM = 2;
	public static final int ERROR_FOLLOWDISABLED = 3;
	
	public static ServerMessage compose(int error)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.FollowFriendFailed);
		msg.appendInt(error);
		
		return msg;
	}
}
