package habbod2.communication.messages.outgoing.help;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.help.HelpCategory;
import habbod2.game.help.HelpTopic;

public class FaqCategoryMessageComposer
{
	public static ServerMessage compose(HelpCategory category)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.FaqCategory);
		msg.appendInt(category.id);
		msg.appendStr("");
		msg.appendInt(category.topics.size());
		for(HelpTopic topic : category.topics)
		{
			FaqClientFaqsMessageComposer.serializeTopic(topic, msg);
		}
		
		return msg;
	}
}
