package habbod2.communication.messages.outgoing.inventory.trading;

import habbod2.communication.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.items.trading.TradePartner;

public class TradingAcceptMessageComposer
{
	public static ServerMessage compose(TradePartner partner)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.TradingAccept);
		msg.appendInt(partner.getSession().getUser().id);
		msg.appendBool(partner.accepted());
		
		return msg;
	}
}
