package habbod2.communication.messages.outgoing.navigator;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;

import java.util.List;

public class FavouriteRoomsMessageComposer
{
	public static ServerMessage compose(List<Integer> roomIds)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.Favourites);
		msg.appendInt(30);
		msg.appendInt(roomIds.size());
		for(int roomId : roomIds)
		{
			msg.appendInt(roomId);
		}
		
		return msg;
	}
}
