package habbod2.communication.messages.outgoing.recycler;

import habbod2.communication.EServerMessage;
import habbod2.net.protocol.ServerMessage;

public class RecyclerPrizesMessageComposer
{
	public static ServerMessage compose()
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.RecyclerPrizes);
		msg.appendInt(5); // Amount of levels
		for(int level = 5; level >= 1; level--)
		{
			msg.appendInt(level);
			if(level <= 1)
			{
				msg.appendInt(0);
			}
			else if(level == 2)
			{
				msg.appendInt(4);
			}
			else if(level == 3)
			{
				msg.appendInt(40);
			}
			else if(level == 4)
			{
				msg.appendInt(200);
			}
			else if(level >= 5)
			{
				msg.appendInt(2000);
			}
			msg.appendInt(0); // awards
		}
		
		return msg;
	}
}
