package habbod2.communication.messages.outgoing.room.action;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.rooms.instances.RoomHuman;

public class SleepMessageComposer
{
	public static ServerMessage compose(RoomHuman human)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.Sleep);
		msg.appendInt(human.avatarId);
		msg.appendBool(human.isAsleep);
		
		return msg;
	}
}
