package habbod2.communication.messages.outgoing.room.chat;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.EServerMessage;
import habbod2.game.rooms.instances.RoomAvatar;

public class WhisperMessageComposer
{
	public static ServerMessage compose(RoomAvatar avatar, String message)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.Whisper);
		msg.appendInt(avatar.avatarId);
		msg.appendStr(message);
		msg.appendInt(0);
		
		return msg;
	}
}
