package habbod2.communication.messages.outgoing.room.engine;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.EServerMessage;
import habbod2.game.rooms.items.wall.PostItItem;

public class ItemDataUpdateMessageComposer
{
	public static ServerMessage compose(PostItItem item)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.ItemDataUpdate);
		msg.appendStr(item.id);
		msg.append(item.state);
		msg.append(' ');
		msg.appendStr(item.data);
		
		return msg;
	}
}
