package habbod2.communication.messages.outgoing.room.engine;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.rooms.instances.RoomInstance;

public class RoomEntryInfoMessageComposer
{
	public static ServerMessage compose(RoomInstance instance, boolean showOwnerInterface)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.RoomEntryInfo);
		if(instance.getInfo().isPublicRoom())
		{
			msg.appendBool(false);
			msg.appendStr(instance.getModel().name);
			msg.appendBool(false);
		}
		else
		{
			msg.appendBool(true);
			msg.appendInt(instance.getInfo().id);
			msg.appendBool(showOwnerInterface);
		}
		
		return msg;
	}
}
