package habbod2.communication.messages.outgoing.room.furniture;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.EServerMessage;
import habbod2.game.catalog.CatalogProduct;

public class PresentOpenedMessageComposer
{
	public static ServerMessage compose(CatalogProduct product)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.PresentOpened);
		msg.appendStr(product.item.getType());
		msg.appendInt(product.item.displayId);
		msg.appendStr(product.item.name);
		
		return msg;
	}
}
