package habbod2.communication.messages.outgoing.roomsettings;

import habbod2.communication.messages.EServerMessage;
import habbod2.game.rooms.instances.RoomInstance;
import habbod2.game.rooms.instances.RoomUser;
import habbod2.net.protocol.ServerMessage;

public class FlatControllerAddedMessageComposer
{
	public static ServerMessage compose(RoomInstance instance, RoomUser user)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.FlatControllerAdded);
		msg.appendStr(instance.getInfo().id);
		msg.appendInt(user.getInfo().id);
		msg.appendStr(user.getInfo().username);
		
		return msg;
	}
}
