package habbod2.communication.messages.outgoing.sound;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.messages.EServerMessage;
import habbod2.game.music.SongDisk;
import habbod2.game.rooms.items.floor.JukeboxItem;
public class JukeboxSongDisksMessageComposer
{
	public static ServerMessage compose(JukeboxItem jukebox)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.JukeboxSongDisks);
		msg.appendInt(jukebox.getCapacity());
		msg.appendInt(jukebox.getDisks().size());
		for(SongDisk disk : jukebox.getDisks())
		{
			msg.appendInt(disk.item.id);
			msg.appendInt(disk.song.id);
		}
		
		return msg;
	}
}
