package habbod2.communication.messages.outgoing.sound;

import java.util.List;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.messages.EServerMessage;
import habbod2.game.music.SongDisk;

public class UserSongDisksInventoryMessageComposer
{
	public static ServerMessage compose(List<SongDisk> disks)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.UserSongDisksInventory);
		msg.appendInt(disks.size());
		for(SongDisk disk : disks)
		{
			msg.appendInt(disk.item.id);
			msg.appendInt(disk.song.id);
		}
		
		return msg;
	}
}
