package habbod2.communication.messages.outgoing.users;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.messages.EServerMessage;
import habbod2.game.items.pets.RoomPet;

public class PetRespectNotificationMessageComposer
{
	public static ServerMessage compose(RoomPet pet)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.PetRespectNotification);
		msg.appendInt(pet.getInfo().respect);
		msg.appendInt(pet.getInfo().ownerId);
		msg.appendInt(pet.getInfo().id);
		msg.appendStr(pet.getInfo().name);
		msg.appendBool(false);
		msg.appendInt(10);
		msg.appendBool(false);
		msg.appendInt(-2);
		msg.appendBool(true);
		msg.appendStr("281");
		
		return msg;
	}
}
