package habbod2.game;

import habbod2.SystemComponent;

public abstract class GameComponent extends SystemComponent
{
	private GameManager gameMgr;
	
	public GameComponent(GameManager gameMgr)
	{
		super(gameMgr.getSystem());
		this.gameMgr = gameMgr;
	}
	
	public GameManager getGameMgr()
	{
		return this.gameMgr;
	}
}
