package habbod2.game.items;

import habbod2.System;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.rooms.items.RoomItem;
import habbod2.game.rooms.items.RoomWallItem;

public class InventoryItem extends ItemBase
{
	public void update(int ownerId)
	{
		System.get().getDb().execute("UPDATE items SET owner_id=" + ownerId + ",room_id=0,x=NULL,y=NULL,z=NULL,rotation=NULL,wallposition=NULL WHERE id=" + this.id);
	}
	
	public RoomItem toRoomItem()
	{
		if(this.is(EItemFlags.WALLITEM))
		{
			return this.toWallItem();
		}
		else if(this.is(EItemFlags.FLOORITEM))
		{
			return this.toFloorItem();
		}
		else
		{
			return null;
		}
	}
	
	public RoomWallItem toWallItem()
	{
		RoomWallItem item = (RoomWallItem)this.definition.createRoomItem();
		item.id = this.id;
		item.definition = this.definition;
		item.state = this.state;
		item.data = this.data;
		
		return item;
	}
	
	public RoomFloorItem toFloorItem()
	{
		RoomFloorItem item = (RoomFloorItem)this.definition.createRoomItem();
		item.id = this.id;
		item.definition = this.definition;
		item.state = this.state;
		item.data = this.data;
		
		return item;
	}
}
