package habbod2.game.rooms.games;

public class GameSession
{
	private GameTimerItem timer;
	private GameTeam[] teams;
	
	public GameSession()
	{
		// Get all team IDs
		GameTeam.ETeam[] teamIds = GameTeam.ETeam.values();
		
		// Create all empty teams
		this.teams = new GameTeam[teamIds.length];
		for(int i = 0; i < teamIds.length; i++)
		{
			this.teams[i] = new GameTeam(teamIds[i], this);
		}
	}
	
	public GameTimerItem getTimer()
	{
		return this.timer;
	}
	
	public GameTeam getTeam(GameTeam.ETeam teamId)
	{
		return this.teams[teamId.ordinal() - 1];
	}
}
