package habbod2.game.rooms.games;

public class UserGameSession
{
	private GameTeam team;
	private int score;
	private long joinTime;
	
	public UserGameSession(GameTeam team)
	{
		this.team = team;
		this.joinTime = System.currentTimeMillis();
	}
	
	public GameSession getGame()
	{
		return this.team.getGame();
	}
	
	public GameTeam getTeam()
	{
		return this.team;
	}
	
	public int getScore()
	{
		return this.score;
	}
	
	public long getJoinTime()
	{
		return this.joinTime;
	}
}
