package habbod2.game.rooms.items.wired.actions;

import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.rooms.items.wired.WiredAction;

public class ShowMessageAction extends WiredAction
{	
	@Override
	public int getInterface()
	{
		return 7;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean requiresUser()
	{
		return true;
	}
	
	@Override
	public void execute(RoomUser user)
	{
		if(!this.getText().isEmpty())
		{
			user.getSession().sendWhisperNotif(this.getText());
		}
	}
}
