package habbod2.communication.messages.incoming.room.action;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.bots.RoomBot;
import habbod2.game.sessions.Session;

public class KickBotHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get the bot to kick
		int actorId = request.readInt();
		RoomBot bot = (RoomBot) session.getRoom().getActorByActorId(actorId);
		
		// Can kick?
		if(bot != null && session.getRoomUser().hasRoomOwner)
		{
			session.getRoom().removeActor(bot);
		}
	}
}
