package habbod2.communication.messages.incoming.users;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.users.GroupDetailsMessageComposer;
import habbod2.game.sessions.Session;
import habbod2.game.users.groups.UserGroup;

public class GetGroupDetailsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// TODO: get the group
		int groupId = request.readInt();
		UserGroup group = new UserGroup();
		group.id = groupId;
		
		// Group exists?
		if(group != null)
		{
			boolean isFavorite = false;
			session.send(GroupDetailsMessageComposer.compose(group, isFavorite));
		}
	}
}
