package habbod2.communication.messages.incoming.users;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.sessions.Session;
import habbod2.communication.messages.outgoing.notifications.MOTDNotificationMessageComposer;

public class GetMOTDHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		String message = Instance.get().getConfig().get("misc.motd", "");
		if(!message.isEmpty())
		{
			session.send(MOTDNotificationMessageComposer.compose(message));
		}
	}
}
