package habbod2.communication.messages.outgoing.catalog;

import habbod2.communication.messages.EServerMessage;
import habbod2.game.pets.PetBreed;
import habbod2.game.pets.PetType;
import habbod2.net.protocol.ServerMessage;

public class SellablePetBreedsMessageComposer
{
	public static ServerMessage compose(String productName, PetType type)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.SellablePetBreeds);
		msg.appendStr(productName);
		msg.appendInt(type.sellableBreeds.size());
		for(PetBreed breed : type.sellableBreeds)
		{
			msg.appendInt(type.id);
			msg.appendInt(breed.id);
			msg.appendBool(true); // Enabled?
			msg.appendBool(false); // ??
		}
		
		return msg;
	}
}
