package habbod2.communication.messages.outgoing.handshake;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.users.User;

public class UserRightsMessageComposer
{
	public static ServerMessage compose(User user)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.UserRights);
		msg.appendInt(user.specialRightsLevel);
		if(user.hasRight("manager"))
		{
			msg.appendInt(1000);
		}
		else
		{
			msg.appendInt(0);
		}
		//msg.appendStrList(user.rights);
		//msg.appendInt(1000);
		//msg.appendInt(1000);
		
		return msg;
	}
}
