package habbod2.communication.messages.outgoing.room.chat;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.messages.EServerMessage;
import habbod2.game.rooms.instance.RoomActor;

public class WhisperMessageComposer
{
	public static ServerMessage compose(RoomActor actor, String message)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.Whisper);
		msg.appendInt(actor.actorId);
		msg.appendStr(message);
		msg.appendInt(0);
		
		return msg;
	}
}
