package habbod2.communication.messages.outgoing.users;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.messages.EServerMessage;
import habbod2.game.pets.Pet;

public class PetRespectNotificationMessageComposer
{
	public static ServerMessage compose(Pet pet)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.PetRespectNotification);
		msg.appendInt(pet.respect);
		msg.appendInt(pet.ownerId);
		msg.appendInt(pet.id);
		msg.appendStr(pet.name);
		msg.appendBool(false);
		msg.appendInt(10);
		msg.appendBool(false);
		msg.appendInt(-2);
		msg.appendBool(true);
		msg.appendStr("281");
		
		return msg;
	}
}
