package habbod2.game.pets;

public class PetUtil
{
	public static boolean validatePetName(String name)
	{
		// Validate length
		if(name.length() == 0 || name.length() > 16)
		{
			return false;
		}

		// Only allow letters and digits
		for(char c : name.toCharArray())
		{
			if(!(Character.isLetter(c) || Character.isDigit(c)))
			{
				return false;
			}
		}

		// Name OK!
		return true;
	}

	public static int productNameToPetType(String productName)
	{
		final String SEARCH = "pet";
		return Integer.parseInt(productName.substring(productName.indexOf(SEARCH) + SEARCH.length()));
	}
}
