package habbod2.game.rooms.items;

import habbod2.communication.messages.outgoing.room.engine.ItemUpdateMessageComposer;

public abstract class RoomWallItem extends RoomItem
{
	public String position;
	
	@Override
	public String getDbPosition()
	{
		return this.position;
	}
	
	@Override
	public void setPositionFromDb(String position)
	{
		this.position = position;
	}
	
	@Override
	public void refreshState(boolean isTemporarily)
	{
		this.getRoom().broadcast(ItemUpdateMessageComposer.compose(this));
	}
}
