package habbod2.game.rooms.items.wired.actions;

import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.wired.WiredAction;

public class ShowMessageAction extends WiredAction
{	
	@Override
	public int getInterface()
	{
		return 7;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean requiresUser()
	{
		return true;
	}
	
	@Override
	public void execute(RoomUser user)
	{
		if(!this.getText().isEmpty())
		{
			String message = this.getText()
					.replace("%user%", user.getInfo().username)
					.replace("%visits%", Integer.toString(user.getRoom().getInfo().visits));
			user.getSession().sendWhisperNotif(message);
		}
	}
}
