package prinzip.accounts.actions;

import prinzip.accounts.Account;

public abstract class TargetedAccountAction extends AccountAction
{
	private final long targetId;
	
	public TargetedAccountAction(Account account, long targetId)
	{
		super(account);
		this.targetId = targetId;
	}
	
	public long getTargetId()
	{
		return this.targetId;
	}
}
