package org.openhabbo.modules;

import java.lang.annotation.*;

@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE}) 
@Documented
public @interface ModuleInfo
{
	String name();
	String description();
	String author();
	String url();
	String version();
	String[] requires();
}