package org.openhabbo.rooms.instances;

import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public abstract class RoomHuman extends RoomAvatar
{
	public int danceId;
	public int carryItemId;
	public int carryItemTimer;

	@Override
	public void stopCarryItem()
	{
		this.carryItem(0);
	}

	@Override
	public void carryItem(int itemId)
	{
		// Set the ID + timer
		this.carryItemId = itemId;
		if(itemId > 0)
		{
			this.carryItemTimer = 240;
		}
		else
		{
			this.carryItemTimer = 0;
		}

		// Notify the roominstance
		ServerMessage msg = new ServerMessage(EServerMessage.CarryObject);
		msg.appendInt(this.id);
		msg.appendInt(this.carryItemId);
		this.getRoom().broadcast(msg);
	}
}
