package org.openhabbo.rooms.instances;

public class RoomPoint
{
	private boolean cleared;
	public int x;
	public int y;
	public float z;
	
	public RoomPoint(int x, int y)
	{
		this(x, y, 0);
	}
	
	public RoomPoint(int x, int y, float z)
	{
		this.x = x;
		this.y = y;
		this.z = z;
	}

	public void clear()
	{
		this.cleared = true;
	}
	
	public boolean isSet()
	{
		return !this.cleared;
	}
}
