package org.openhabbo.sessions.handlers;

import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class CanCreateRoomHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// TODO: max rooms per user limit
		response.init(EServerMessage.CanCreateRoom);
		response.appendBool(false); // has error
		response.appendInt(-1); // if has error, then this = error ID
		session.send(response);
	}
}
