package mod_badges;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModulePayload;
import org.openhabbo.modules.Version;
import org.openhabbo.sessions.Session;

public final class mod_badges extends Module
{
	public mod_badges()
	{
		super(new Version(1, 0, 0), "Enables support for badges for users, shown next to them in rooms etc.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_badges/");
	}

	@Override
	protected void initPayload(ModulePayload payload)
	{
		payload.eventListener(Session.onLogin, new LoginHook());
		payload.eventListener(Session.onLogout, new LogoutHook());

		payload.msgHandler(157, new GetBadgesHandler());
		payload.msgHandler(158, new UpdateBadgesHandler());
		payload.msgHandler(159, new GetUserBadgesHandler());
	}
}
