package mod_coreremotecmds;

import mod_remote.RemoteCommandHandler;

import org.openhabbo.support.SupportCenter;

public class RoomAlertHandler implements RemoteCommandHandler
{
	@Override
	public void handle(String payload)
	{
		String[] args = payload.split(ARG_DELIMITER, 3);
		int issuerId = Integer.parseInt(args[0]);
		int roomId = Integer.parseInt(args[1]);
		String message = args[2];

		SupportCenter sc = SupportCenter.getInstance();
		sc.issueRoomAlert(issuerId, roomId, message, "via remote");
	}
}
