package mod_coreremotecmds;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;

@ModuleInfo
(
		name = "mod_coreremotecmds",
		description = "Contains the core remotecommands of OpenHABBO.", 
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_coreremotecmds/",
		version = "1.0.0",
		requires = { }
)
public final class mod_coreremotecmds extends Module
{
	public mod_coreremotecmds()
	{
		this.getAutoLoader().remoteCmd("SERVCAST", new ServcastHandler());
		this.getAutoLoader().remoteCmd("USERBALANCE", new UserBalanceUpdateHandler());
		this.getAutoLoader().remoteCmd("INVENTORY", new UserInventoryUpdateHandler());
	}
}
