package mod_effects;

import org.openhabbo.events.EventListener;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.Session;

public class EnterRoomSendUserInfoHook implements EventListener
{

	@Override
	public void handle(Object subject, Object args)
	{
		Session session = (Session) subject;
		RoomUser user = (RoomUser) args;

		// This user has an effect?
		if(user.has("effect"))
		{
			int effectId = user.get("effect");

			ServerMessage msg = new ServerMessage(EEffectMessage.AvatarEffect);
			msg.appendInt(user.virtualId);
			msg.appendInt(effectId);
			session.send(msg);
		}
	}

}
