package mod_messenger;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class AcceptRequestHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		InstantMessenger messenger = session.get("messenger");
		if(messenger != null)
		{
			int amount = request.readInt();
			for(int x = 0; x < amount; x++)
			{
				int fromUserId = request.readInt();
				if(messenger.hasRequest(fromUserId))
				{
					InstantMessengerService.getInstance().acceptBuddyRequest(session.getUser().id, fromUserId);
				}
			}
		}
	}
}
