package mod_messenger.msgs;

import mod_messenger.InstantMessenger;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class FriendsListUpdateHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		InstantMessenger messenger = session.get("messenger");
		if(messenger != null)
		{
			messenger.sendUpdates();
		}
	}
}
