package mod_moderation.chatcmds;

import mod_moderation.ModerationCenter;

import org.openhabbo.chatcommands.ChatCommandHandler;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.GameError;

public class UserKickCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Kicks user % from room, with optional message %";
	}

	@Override
	public String getRequiredRight()
	{
		return "default";
	}
	
	@Override
	public String[] getSyntax()
	{
		return new String[] { "username", "-message" };
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		ModerationCenter.getInstance().issueUserKick(session.getUser().id, session.getUser(), args[0], args[1]);
	}
}
