package mod_postit;

import org.openhabbo.items.Item;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class OpenPostItHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		Item item = session.getRoomInstance().getItem(request.readInt());
		if(item != null)// && item instanceof PostItItem)
		{
			response.init(EServerMessage.PostItData);
			response.appendStr(Integer.toString(item.id));
			response.appendStr("FFFF33 abc123");
			session.send(response);
		}
	}
}
