package mod_postit;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;

@ModuleInfo
(
		name = "mod_postit",
		description = "Enables support for post.it / sticky note furniture items.", 
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_postit/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_postit extends Module
{
	public mod_postit()
	{
		this.getAutoLoader().itemImpl("PostIt", PostItItem.class);
		this.getAutoLoader().msgHandler(83, new OpenPostItHandler());
		this.getAutoLoader().msgHandler(84, new SavePostItHandler());
		this.getAutoLoader().msgHandler(85, new DeletePostItHandler());
	}
}
