package mod_trading;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModulePayload;
import org.openhabbo.modules.Version;
import org.openhabbo.sessions.Session;

public final class mod_trading extends Module
{
	public mod_trading()
	{
		super(new Version(1, 0, 0), "Enables support for furniture trading between users.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_trading/");
	}

	@Override
	protected void initPayload(ModulePayload payload)
	{
		payload.eventListener(Session.onRoomExit, new ExitRoomHook());

		payload.msgHandler(68, new UnacceptTradeHandler());
		payload.msgHandler(69, new AcceptTradeHandler());
		payload.msgHandler(70, new StopTradeHandler());
		payload.msgHandler(71, new InitTradeHandler());
		payload.msgHandler(72, new OfferTradeItemHandler());
		payload.msgHandler(402, new CompleteTradeHandler());
		payload.msgHandler(403, new StopTradeHandler());
		payload.msgHandler(405, new TakeBackTradeItemHandler());
	}
}
