package mod_triggereffect;

import mod_effects.AvatarEffect;
import mod_effects.AvatarEffectInventory;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomAvatar;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.util.GameUtil;

public final class TriggerEffectItem extends Item
{	
	@Override
	public boolean onAvatarOnTop(RoomAvatar avatar)
	{
		if(avatar instanceof RoomUser)
		{
			AvatarEffectInventory effects = ((RoomUser)avatar).getSession().get("effects");
			effects.setCurrentEffect(GameUtil.parseInt(this.customData));
			
			return true;
		}
		
		return false;
	}
	
	public void onAvatarLeavesTop(RoomAvatar avatar)
	{
		if(avatar instanceof RoomUser)
		{
			AvatarEffectInventory effects = ((RoomUser)avatar).getSession().get("effects");
			effects.setCurrentEffect(AvatarEffect.NO_EFFECT);
		}
	}
}
