package mod_autokick;

import org.openhabbo.events.EventListener;
import org.openhabbo.rooms.instances.RoomAvatar;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.messages.ServerMessage;

public class EnterRoomSendUserInfoHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session) subject;
		RoomAvatar user = (RoomAvatar) args;

		// User is asleep?
		if(user.has("sleep"))
		{
			ServerMessage msg = new ServerMessage(EServerMessage.Sleep);
			msg.appendInt(user.avatarId);
			msg.appendBool(true);
			session.send(msg);
		}
		
		return true;
	}

}
