package mod_groups;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class GetGroupBadgesHandler implements SessionMessageHandler
{
	public final static int HabboGroupBadges = 309;
	
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		response.init(GetGroupBadgesHandler.HabboGroupBadges);
		response.appendInt(0); // count of distinct groups in the room
		// TODO: for each string appendInt(groupId), appendStr(badgehash)
		session.send(response);
	}
}
