package mod_voucher;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.Version;
import org.openhabbo.sessions.SessionMsgRegistry;

public final class mod_vouchers extends Module
{
	public mod_vouchers()
	{
		super(new Version(1, 0, 0), "Enables support for in-game content voucher codes and redeeming.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_voucher/");
	}

	@Override
	public boolean onLoad()
	{
		SessionMsgRegistry.register(129, new RedeemVoucherHandler());
		return true;
	}

	@Override
	public void onUnload()
	{
		SessionMsgRegistry.unregister(129);
	}
	
	public static ContentVoucher getVoucher(String code)
	{
		return null;
	}
}
