package mod_pets;

import org.openhabbo.modules.Module;
import org.openhabbo.registries.SessionMsgRegistry;

public final class mod_pets extends Module
{
	public mod_pets()
	{
		super("1.0", "Enables support for pet 'furniture items'.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_pets/");
	}
	
	@Override
	public boolean onLoad()
	{
		SessionMsgRegistry.register(42, new CheckPetNameHandler());
		SessionMsgRegistry.register(3000, new GetPetsInventoryHandler());
		SessionMsgRegistry.register(3001, new GetPetInfoHandler());
		SessionMsgRegistry.register(3002, new PlacePetHandler());
		SessionMsgRegistry.register(3003, new PickUpPetHandler());
		SessionMsgRegistry.register(3005, new RespectPetHandler());
		return true;
	}

	@Override
	public void onUnload()
	{
		SessionMsgRegistry.unregister(42);
		SessionMsgRegistry.unregister(3000);
		SessionMsgRegistry.unregister(3001);
		SessionMsgRegistry.unregister(3002);
		SessionMsgRegistry.unregister(3003);
		SessionMsgRegistry.unregister(3005);
	}
}
