package mod_roomdimmer;

import org.openhabbo.modules.Module;
import org.openhabbo.registries.ItemImplRegistry;
import org.openhabbo.registries.SessionMsgRegistry;

public final class mod_roomdimmer extends Module
{
	public mod_roomdimmer()
	{
		super("1.0", "Enables support for the Roomdimmer / Moodlight furniture item.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_roomdimmer/");
	}

	@Override
	public boolean onLoad()
	{
		ItemImplRegistry.register("RoomDimmerItem", RoomDimmerItem.class);
		SessionMsgRegistry.register(341, new GetRoomDimmerEditDataHandler());
		SessionMsgRegistry.register(342, new UpdateRoomDimmerHandler());
		SessionMsgRegistry.register(343, new SwitchRoomDimmerStatusHandler());
		return true;
	}

	@Override
	public void onUnload()
	{
		ItemImplRegistry.unregister("RoomDimmerItem");
		SessionMsgRegistry.unregister(341);
		SessionMsgRegistry.unregister(342);
		SessionMsgRegistry.unregister(343);
	}
}
