package org.openhabbo.chatcommands.std;

import org.openhabbo.chatcommands.ChatCommandHandler;
import org.openhabbo.sessions.Session;

public class AboutCommandHandler implements ChatCommandHandler
{
	@Override
	public String getCommand()
	{
		return "about";
	}

	@Override
	public String getDescription()
	{
		return "Shows info about this build of OpenHABBO, installed modules, etc";
	}

	@Override
	public String getRequiredRight()
	{
		return null;
	}

	@Override
	public boolean handle(Session session, String body)
	{
		session.sendNotif("OpenHABBO blabla about", "http://www.openhabbo.org");
		return true;
	}
}
