package org.openhabbo.rooms;

import java.util.Hashtable;
import java.util.Map;

import org.openhabbo.storage.DatabaseResult;

public class RoomCategory
{
	public final static int LIST_SIZE = 50;

	public int id;
	public String name;
	public int minAccessLevel;
	public Map<Integer, Room> rooms;

	public RoomCategory()
	{
		this.rooms = new Hashtable<Integer, Room>(RoomCategory.LIST_SIZE);
	}

	public static RoomCategory parse(DatabaseResult row)
	{
		RoomCategory category = new RoomCategory();
		category.id = row.getInt("id");
		category.name = row.getString("name");
		category.minAccessLevel = row.getByte("min_access_level");
		return category;
	}
}
