package org.openhabbo.sessions.handlers;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class OpenFlatHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Read the room ID of the room the user wants to enter, and the given password (if any)
		int roomId = request.readInt();
		String password = request.readStr();
		request.readInt(); // unk1

		// Go go go, and supply the password just in case!
		session.tryRoom(roomId, password);
	}
}
