package org.openhabbo.storage;

import java.text.SimpleDateFormat;
import java.util.Date;

public final class SQLHelper
{
	private final static Date DATE_OBJECT = new Date();
	private final static SimpleDateFormat DATE_FORMATTER = new SimpleDateFormat("yyyy-MM-d HH:mm:ss");

	public final static String escape(String value)
	{
		if(value == null)
		{
			return "";
		}
		else
		{
			return value.replace("'", "\\'");
		}
	}

	public final static String formatDate(long millis)
	{
		DATE_OBJECT.setTime(millis);
		return DATE_FORMATTER.format(DATE_OBJECT);
	}

	public final static String getDateTimeStr()
	{
		return SQLHelper.formatDate(System.currentTimeMillis());
	}
}
