package org.openhabbo.chatcommands;

import org.openhabbo.sessions.Session;
import org.openhabbo.util.GameError;

public interface ChatCommandHandler
{
	public final static char COMMAND_HEAD = ':';

	public String getDescription();

	public String getRequiredRight();
	
	public String[] getSyntax();
	
	public void handle(Session session, String[] args) throws GameError;
}
