package org.openhabbo.communication.requests.room.self;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class GoToHotelViewHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// User actually in a room?
		if(session.inRoom())
		{
			// Start a new movement trip to the door tile of this room (this will trigger leaving the room upon arrival)
			session.getRoomUser().setGoal(session.getRoomInstance().getMap().getDoor());
		}
	}
}
