package org.openhabbo.communication.requests.room.self;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.Session;

public class LookToHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Look to what?
		int tileX = request.readInt();
		int tileY = request.readInt();

		// Look-o-look!
		RoomUser user = session.getRoomUser();
		if(user != null)
		{
			user.lookTo(tileX, tileY, false);
		}
	}
}
