package mod_coreremotecmds;


import org.openhabbo.remote.RemoteCommandHandler;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionManager;

public class UserInventoryUpdateHandler implements RemoteCommandHandler
{
	@Override
	public void handle(String payload)
	{
		int userId = Integer.parseInt(payload);

		Session sess = SessionManager.getInstance().getSessionByUserId(userId);
		if(sess != null)
		{
			sess.getItemInventory().reload();
			sess.getItemInventory().refresh();
		}
	}
}
