package mod_roomdimmer;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;

@ModuleInfo
(
		name = "mod_roomdimmer",
		description = "Enables support for the Roomdimmer / Moodlight furniture item.",
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_roomdimmer/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_roomdimmer extends Module
{
	public mod_roomdimmer()
	{
		this.getAutoLoader().itemImpl("RoomDimmer", RoomDimmerItem.class);

		this.getAutoLoader().msgHandler(341, new GetRoomDimmerEditDataHandler());
		this.getAutoLoader().msgHandler(342, new UpdateRoomDimmerHandler());
		this.getAutoLoader().msgHandler(343, new SwitchRoomDimmerStatusHandler());
	}
}
