package mod_triggereffect;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomMap;
import org.openhabbo.rooms.instances.RoomTile;
import org.openhabbo.util.GameUtil;

public final class TriggerEffectItem extends Item
{
	@Override
	public void onGenerateFloorMapTile(RoomMap map, RoomTile tile)
	{
		super.onGenerateFloorMapTile(map, tile);
		
		// Set info for this tile
		if(tile.state == RoomTile.OPEN)
		{
			tile.state = RoomTile.OPEN;
			tile.effectId = GameUtil.parseInt(this.definition.data);
			if(this.definition.sprite.contains("water"))
			{
				tile.state |= RoomTile.WATER;
			}
		}
	}
}
