package mod_motd;

import org.openhabbo.communication.ServerMessage;
import org.openhabbo.events.EventListener;

import org.openhabbo.sessions.Session;
import org.openhabbo.util.SecurityUtil;

public class LoginHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session) subject;

		String message = mod_motd.get().getConfigValue("message");
		if(message != null)
		{
			ServerMessage msg = new ServerMessage(810);
			msg.appendBool(true);
			msg.appendStr(SecurityUtil.filterStr(message));
			session.send(msg);
		}
		
		return true;
	}
}
