name := "popbird"

description := "Database backed Akka system for the automatic finding, following and unfollowing of Twitter users."

version := "1.0"

// Twitter library
libraryDependencies += "org.twitter4j" % "twitter4j-core" % "4.0.1"

// Akka
libraryDependencies ++= Seq("com.typesafe.akka" %% "akka-actor" % "2.2.0", "com.typesafe.akka" %% "akka-testkit" % "2.2.0", "com.typesafe.akka" %% "akka-slf4j" % "2.2.0", "ch.qos.logback" % "logback-classic" % "1.0.13")

// Joda Time
libraryDependencies ++= Seq("org.joda" % "joda-convert" % "1.6", "joda-time" % "joda-time" % "2.3")

// specs2 (testing)
libraryDependencies += "org.specs2" %% "specs2" % "2.3.12" % "test"