package net.nillus.habbo.communication.messages.outgoing.inventory.trading;

import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.items.trading.TradePartner;

public class TradingCloseByUserMessageComposer
{
	public final static ServerMessage compose(TradePartner partner)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.TradingCloseByUser);
		msg.appendInt(partner.getSession().getUser().id);
		
		return msg;
	}
}
