package habbod.game.chatcommands.core;

import habbod.ServerInstance;
import habbod.game.chatcommands.ChatCommandHandler;
import habbod.game.util.GameError;
import habbod.sessions.Session;

public class AboutCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		StringBuilder notif = new StringBuilder();

		// Append the legal info
		notif.append(ServerInstance.get().versionString());
		notif.append("\r");
		notif.append("Copyright (C) 2010-2011 - Nils 'Nillus'\r");
		notif.append("HABBO is a registered trademark of Sulake Corporation Oy. (www.sulake.com)\r\r");

		// Append the footer
		notif.append("Type :stats for system information.\r");

		// Send the message formatted as a system msg
		session.sendSystemNotif(notif.toString());
	}
}
