package habbod.communication.messages.outgoing.inventory.trading;

import habbod.communication.EServerMessage;
import habbod.communication.ServerMessage;
import habbod.game.items.trading.TradePartner;

public class TradingAcceptMessageComposer
{
	public final static ServerMessage compose(TradePartner partner)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.TradingAccept);
		msg.appendInt(partner.getSession().getUser().id);
		msg.appendBool(partner.accepted());
		
		return msg;
	}
}
