package net.nillus.habbo.communication.messages.outgoing.friendslist;

import java.util.Collection;

import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.messenger.MessengerBuddy;

public class MessengerInitMessageComposer
{
	public final static ServerMessage compose(Collection<MessengerBuddy> buddies)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.MessengerInit);
		msg.appendInt(600);
		msg.appendInt(200);
		msg.appendInt(600);
		msg.appendInt(900);
		msg.appendBool(false);
		msg.appendInt(buddies.size());
		for(MessengerBuddy buddy : buddies)
		{
			serializeBuddy(buddy, msg);
		}
		
		return msg;
	}
	
	public static void serializeBuddy(MessengerBuddy buddy, ServerMessage msg)
	{
		msg.appendInt(buddy.userId);
		msg.appendStr(buddy.username);
		msg.appendBool(true);
		msg.appendBool(buddy.online());
		msg.appendBool(buddy.inRoom());
		msg.appendStr(buddy.figure);
		msg.appendBool(false);
		msg.appendStr(buddy.motto);
		msg.appendStr(buddy.getLastOnlineTime());
		msg.appendStr("");
		msg.appendStr("");
	}
}
