package net.nillus.habbo.communication.messages.outgoing.room.engine;

import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.rooms.navigator.RoomEvent;

public class RoomEventMessageComposer
{
	public final static ServerMessage compose(RoomEvent event)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.RoomEvent);
		if(event == null)
		{
			msg.appendStr("-1");
		}
		else
		{
			msg.appendStr(event.room.ownerId);
			msg.appendStr(event.room.name);
			msg.appendStr(event.room.id);
			msg.appendInt(event.categoryId);
			msg.appendStr(event.name);
			msg.appendStr(event.description);
			msg.appendStr(event.startTime);
			msg.appendStrList(event.tags);
		}
		
		return msg;
	}
}
