package net.nillus.habbo.chatcommands;

import net.nillus.habbo.sessions.Session;
import net.nillus.habbo.util.GameError;

public interface ChatCommandHandler
{
	public final static char COMMAND_HEAD = ':';

	public String getDescription();

	public String getRequiredRight();
	
	public String[] getSyntax();
	
	public void handle(Session session, String[] args) throws GameError;
}
