package net.nillus.habbo.communication.messages.incoming.friendlist;

import mod_messenger.InstantMessenger;
import mod_messenger.InstantMessengerService;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;


public class AcceptRequestHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		InstantMessenger messenger = session.get("messenger");
		if(messenger != null)
		{
			int amount = request.readInt();
			for(int x = 0; x < amount; x++)
			{
				int fromUserId = request.readInt();
				if(messenger.hasRequest(fromUserId))
				{
					InstantMessengerService.getInstance().acceptBuddyRequest(session.getUser().id, fromUserId);
				}
			}
		}
	}
}
