package net.nillus.habbo.core;

import net.nillus.habbo.habbod;

public final class ShutdownHook extends Thread
{
	private final habbod instance;

	public ShutdownHook(habbod instance)
	{
		this.instance = instance;
		Logger.getInstance().info("ShutdownHook", "Attached to habbod instance.");
	}

	@Override
	public void run()
	{
		this.instance.stop("JVM is exiting unexpectedly");
	}
}
