package habbod.game.items.impl;

import habbod.game.rooms.instances.RoomMap;
import habbod.game.rooms.instances.RoomTile;
import habbod.game.rooms.items.RoomFloorItem;
import habbod.game.util.GameUtil;

public final class TriggerEffectItem extends RoomFloorItem
{
	@Override
	public void onGenerateFloorMapTile(RoomMap map, RoomTile tile)
	{
		super.onGenerateFloorMapTile(map, tile);
		
		// Set info for this tile
		if(tile.state == RoomTile.OPEN)
		{
			tile.state = RoomTile.OPEN;
			tile.effectId = GameUtil.parseInt(this.definition.data);
			if(this.definition.sprite.contains("water"))
			{
				tile.state |= RoomTile.WATER;
			}
		}
	}
}
