package habbod.communication.messages.incoming.friendlist;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.messenger.InstantMessenger;
import habbod.sessions.Session;


public class FriendsListUpdateHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		InstantMessenger messenger = session.getMessenger();
		if(messenger != null)
		{
			messenger.sendUpdates();
		}
	}
}
