package habbod.communication.messages.incoming.friendlist;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.communication.messages.outgoing.friendslist.MessengerInitMessageComposer;
import habbod.game.messenger.MessengerBuddy;
import habbod.sessions.Session;

import java.util.Collection;


public class InitMessengerHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		Collection<MessengerBuddy> buddies = session.getMessenger().getBuddies();
		session.send(MessengerInitMessageComposer.compose(buddies));
	}
}
