package habbod.communication.messages.incoming.navigator;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.RoomAdvertisement;
import habbod.sessions.Session;

public class GetAdvertisementHandler implements RequestHandler
{
	@SuppressWarnings("unused")
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get a random room advertisement
		RoomAdvertisement ad = null;
		
		// Send the data for the client
		response.init(EServerMessage.RoomAdvertisement);
		if(ad == null)
		{
			response.appendStr("");
			response.appendStr("");
		}
		else
		{
			response.appendStr(ad.imageUrl);
			response.appendStr(ad.clickUrl);
		}
		session.send(response);
	}
}
