package habbod.communication.messages.incoming.navigator;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.sessions.Session;

public class GetHomeRoomHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Send the homeroom ID, 0 = no homeroom
		response.init(EServerMessage.HomeRoom);
		response.appendInt(session.getUser().homeRoomId);
		session.send(response);
	}
}
