package habbod.communication.messages.incoming.navigator;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.sessions.Session;

import java.util.Random;


public class GetPopularRoomTagsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// TODO: don't use dummy data ofcourse!
		String[] tags = new String[] { };

		// Serialize the taglist
		response.init(EServerMessage.PopularRoomTagsResult);
		response.appendInt(tags.length);
		for(String tag : tags)
		{
			response.appendStr(tag);
			response.appendInt(new Random().nextInt(5) + 1); // Tag weight
		}
		session.send(response);
	}
}
