package habbod.communication.messages.incoming.navigator;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.communication.messages.outgoing.navigator.GuestRoomSearchResultMessageComposer;
import habbod.game.rooms.Room;
import habbod.game.rooms.navigator.RoomNavigator;
import habbod.sessions.Session;

import java.util.List;



public class GetTopRatedRoomsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		List<Room> rooms = RoomNavigator.getInstance().getTopRatedGuestRooms();
		
		session.send(GuestRoomSearchResultMessageComposer.compose(2, 0, "", rooms));
	}
}
