package habbod.communication.messages.incoming.room.avatar;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.instances.RoomUser;
import habbod.sessions.Session;

public class WaveHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		RoomUser user = session.getRoomUser();
		if(user != null)
		{
			response.init(EServerMessage.Wave);
			response.appendInt(user.avatarId);
			session.getRoomInstance().broadcast(response);
		}
	}
}
