package net.nillus.habbo.communication.messages.incoming.handshake;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.communication.messages.outgoing.handshake.UserObjectMessageComposer;
import net.nillus.habbo.sessions.Session;

public class GetUserInfoHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		session.send(UserObjectMessageComposer.compose(session.getUser()));
	}
}
