package net.nillus.habbo.communication.messages.incoming.navigator;

import java.util.List;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.rooms.Room;
import net.nillus.habbo.game.rooms.navigator.RoomNavigator;
import net.nillus.habbo.sessions.Session;

import net.nillus.habbo.communication.messages.outgoing.navigator.GuestRoomSearchResultMessageComposer;

public class GetTopRatedRoomsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		List<Room> rooms = RoomNavigator.getInstance().getTopRatedGuestRooms();
		
		session.send(GuestRoomSearchResultMessageComposer.compose(2, 0, "", rooms));
	}
}
