package mod_badges;

import net.nillus.habbo.communication.messages.incoming.inventory.badges.GetBadgesHandler;
import net.nillus.habbo.communication.messages.incoming.inventory.badges.SetActivatedBadgesHandler;
import net.nillus.habbo.communication.messages.incoming.users.GetUserActivatedBadgesHandler;
import net.nillus.habbo.modules.Module;
import net.nillus.habbo.modules.ModuleInfo;
import net.nillus.habbo.sessions.Session;

@ModuleInfo
(
		name = "mod_badges",
		description = "Enables support for badges for users, shown next to them in rooms etc.", 
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_badges/",
		version = "1.0.0",
		dependencies = {}
)
public final class mod_badges extends Module
{
	public mod_badges()
	{
		this.getAutoLoader().eventListener(Session.onLogin, new LoginHook());
		this.getAutoLoader().eventListener(Session.onLogout, new LogoutHook());

		this.getAutoLoader().msgHandler(157, new GetBadgesHandler());
		this.getAutoLoader().msgHandler(158, new SetActivatedBadgesHandler());
		this.getAutoLoader().msgHandler(159, new GetUserActivatedBadgesHandler());
	}
}
