package mod_coreremotecmds;


import net.nillus.habbo.remote.RemoteCommandHandler;
import net.nillus.habbo.sessions.Session;
import net.nillus.habbo.sessions.SessionManager;

public class UserInventoryUpdateHandler implements RemoteCommandHandler
{
	@Override
	public void handle(String payload)
	{
		int userId = Integer.parseInt(payload);

		Session sess = SessionManager.getInstance().getSessionByUserId(userId);
		if(sess != null)
		{
			sess.getItemInventory().reload();
			sess.getItemInventory().refresh();
		}
	}
}
