package mod_messenger;

import net.nillus.habbo.events.EventListener;
import net.nillus.habbo.sessions.Session;

public class LogoutHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session)subject;
		InstantMessenger messenger = session.get("messenger");
		
		// Has initialized messenger?
		if(messenger != null)
		{
			messenger.offline();
		}
		
		return true;
	}
}
