package mod_moderation.remotecmds;


import mod_moderation.ModerationActionError;
import mod_moderation.ModerationCenter;
import net.nillus.habbo.remote.RemoteCommandHandler;


public class RoomKickHandler implements RemoteCommandHandler
{
	@Override
	public void handle(String payload)
	{
		String[] args = payload.split(ARG_DELIMITER, 3);
		int issuerId = Integer.parseInt(args[0]);
		int roomId = Integer.parseInt(args[1]);
		String message = args[2];

		try
		{
			ModerationCenter.getInstance().issueRoomKick(issuerId, roomId, message);
		}
		catch(ModerationActionError error)
		{
			
		}
	}
}
