package mod_onewaydoor;

import net.nillus.habbo.communication.messages.incoming.room.engine.UseObjectHandler;
import net.nillus.habbo.items.impl.OneWayDoorItem;
import net.nillus.habbo.modules.Module;
import net.nillus.habbo.modules.ModuleInfo;

@ModuleInfo
(
		name = "mod_onewaydoor",
		description = "Enables support for the One Way Door / One Way Gate furniture item.",
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_onewaydoor/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_onewaydoor extends Module
{
	public mod_onewaydoor()
	{
		this.getAutoLoader().itemImpl("OneWayDoor", OneWayDoorItem.class);
		
		this.getAutoLoader().msgHandler(232, new UseObjectHandler());
	}
}
