package habbod.remote.commands;

import habbod.game.access.AccessControl;
import habbod.remote.RemoteCommandHandler;
import habbod.sessions.SessionManager;

public class ServcastCommand implements RemoteCommandHandler
{
	@Override
	public void handle(String payload)
	{
		String[] args = payload.split(ARG_DELIMITER, 3);
		int issuerId = Integer.parseInt(args[0]);
		String message = args[1];
		String url = args.length >= 3 ? args[2] : null;

		SessionManager.getInstance().sendNotifToAll(message, url);
		AccessControl.getInstance().logUserAction(issuerId, 0, "servcast", message);
	}
}