package mod_autokick;

import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.events.EventListener;
import net.nillus.habbo.game.rooms.instances.RoomAvatar;

public class RoomUserUnidleHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		RoomAvatar user = (RoomAvatar)subject;
		
		// User was sleeping?
		if(user.unset("sleep"))
		{
			ServerMessage msg = new ServerMessage(EServerMessage.Sleep);
			msg.appendInt(user.avatarId);
			msg.appendBool(false);
			user.getRoom().broadcast(msg);
		}
		
		return true;
	}

}
