package mod_badges;

import net.nillus.habbo.events.EventListener;
import net.nillus.habbo.game.users.badges.BadgeInventory;
import net.nillus.habbo.sessions.Session;


public class LoginHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session) subject;

		// Load badge inventory
		BadgeInventory inventory = new BadgeInventory(session.getUser().id);
		inventory.reload();

		// Attach to session
		session.set("badges", inventory);
		
		return true;
	}
}
