package mod_corechatcmds;

import net.nillus.habbo.game.chatcommands.core.AboutCommand;
import net.nillus.habbo.game.chatcommands.core.HelpCommand;
import net.nillus.habbo.game.chatcommands.core.ReloadCatalogCommandHandler;
import net.nillus.habbo.game.chatcommands.core.ReloadItemDefinitionsCommandHandler;
import net.nillus.habbo.game.chatcommands.core.ReloadModulesCommandHandler;
import net.nillus.habbo.game.chatcommands.core.ReloadRoomModelsCommandHandler;
import net.nillus.habbo.game.chatcommands.core.ReloadUserRolesCommandHandler;
import net.nillus.habbo.game.chatcommands.core.ServcastCommand;
import net.nillus.habbo.game.chatcommands.core.StatsCommand;

@ModuleInfo
(
		name = "mod_corechatcmds",
		description = "Contains the core chatcommands of habbod.", 
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_corechatcmds/",
		version = "1.0.0",
		dependencies = {}
)
public final class mod_corechatcmds extends Module
{
	public mod_corechatcmds()
	{
		this.getAutoLoader().chatCmd("about", new AboutCommand());
		this.getAutoLoader().chatCmd("stats", new StatsCommand());
		this.getAutoLoader().chatCmd("help", new HelpCommand());
		
		this.getAutoLoader().chatCmd("servcast", new ServcastCommand());
		
		this.getAutoLoader().chatCmd("reloadmodules", new ReloadModulesCommandHandler());
		this.getAutoLoader().chatCmd("reloadroles", new ReloadUserRolesCommandHandler());
		this.getAutoLoader().chatCmd("reloaditemdefs", new ReloadItemDefinitionsCommandHandler());
		this.getAutoLoader().chatCmd("reloadcatalog", new ReloadCatalogCommandHandler());
		this.getAutoLoader().chatCmd("reloadmodels", new ReloadRoomModelsCommandHandler());
	}
}
