package mod_moderation.remotecmds;

import net.nillus.habbo.game.moderation.ModerationActionError;
import net.nillus.habbo.game.moderation.ModerationCenter;
import net.nillus.habbo.remote.RemoteCommandHandler;


public class UserKickHandler implements RemoteCommandHandler
{
	@Override
	public void handle(String payload)
	{
		String[] args = payload.split(ARG_DELIMITER, 3);
		int issuerId = Integer.parseInt(args[0]);
		int userId = Integer.parseInt(args[1]);
		String message = args[2];

		try
		{
			ModerationCenter.getInstance().issueUserKick(issuerId, userId, message);
		}
		catch(ModerationActionError err)
		{
			
		}
	}
}
