package habbod2.communication.messages.incoming.friendlist;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.messenger.InstantMessenger;
import habbod2.game.messenger.MessengerService;
import habbod2.game.sessions.Session;

public class AcceptBuddyHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		InstantMessenger messenger = session.getMessenger();
		MessengerService svc = Instance.get().getGameMgr().getMessengerSvc();
		
		int amount = request.readInt();
		for(int x = 0; x < amount; x++)
		{
			int fromUserId = request.readInt();
			if(messenger.hasRequest(fromUserId))
			{
				svc.acceptBuddyRequest(session.getUser().id, fromUserId);
			}
		}
	}
}
