package habbod2.communication.messages.incoming.friendlist;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.friendlist.MessengerInitMessageComposer;
import habbod2.game.messenger.MessengerBuddy;
import habbod2.game.sessions.Session;

import java.util.Collection;


public class MessengerInitHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		Collection<MessengerBuddy> buddies = session.getMessenger().getBuddies();
		session.send(MessengerInitMessageComposer.compose(buddies));
	}
}
