package habbod2.communication.messages.incoming.inventory.avatareffect;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.sessions.Session;

public class AvatarEffectActivatedHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Detemrine effect
		int effectId = request.readInt();
		
		// Request effect to be enabled (starts expiration timer)
		session.getEffectInventory().enableEffect(effectId);
	}
}
