package habbod2.communication.messages.incoming.inventory.badges;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.inventory.badges.BadgesMessageComposer;
import habbod2.game.users.badges.BadgeInventory;
import habbod2.game.sessions.Session;

public class GetBadgesHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		BadgeInventory inventory = session.getBadgeInventory();
		session.send(BadgesMessageComposer.compose(inventory));
	}
}
