package habbod2.communication.messages.incoming.inventory.furni;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.inventory.furni.FurniListMessageComposer;
import habbod2.game.items.ItemInventory;
import habbod2.game.sessions.Session;

public class RequestFurniInventoryHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get inventory
		ItemInventory inventory = session.getItemInventory();
		
		// Send the items
		session.send(FurniListMessageComposer.compose(inventory.getItems()));
	}
}
