package habbod2.communication.messages.incoming.navigator;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.rooms.Room;
import habbod2.game.rooms.RoomManager;
import habbod2.game.sessions.Session;

public class AddFavouriteRoomHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get the room
		int roomId = request.readInt();
		RoomManager mgr = Instance.get().getGameMgr().getRoomMgr();
		Room room = mgr.getRoomInfo(roomId);

		// Add the room
		if(room != null && room.isGuestRoom())
		{
			session.getFavoriteRooms().addFavorite(room.id);
		}
	}
}
