package habbod2.communication.messages.incoming.navigator;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.navigator.CanCreateRoomEventMessageComposer;
import habbod2.game.rooms.navigator.RoomEvent;
import habbod2.game.sessions.Session;

public class CanCreateEventHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		int result = RoomEvent.canCreateRoomEvent(session);
		session.send(CanCreateRoomEventMessageComposer.compose(result));
	}
}
