package habbod2.communication.messages.incoming.navigator;

import java.util.List;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.navigator.GuestRoomSearchResultMessageComposer;
import habbod2.game.rooms.Room;
import habbod2.game.sessions.Session;

public class MyRoomsSearchHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get this user's own room list
		List<Room> rooms = Instance.get().getGameMgr().getNavigator().getRoomsForUser(session.getUser().id);

		// Send them
		session.send(GuestRoomSearchResultMessageComposer.compose(0, 5, "", rooms));
	}
}
