package habbod2.communication.messages.incoming.tracking;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.outgoing.tracking.LatencyPingResponseMessageComposer;
import habbod2.game.sessions.Session;

public class LatencyPingRequestHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		int value = request.readInt();
		session.send(LatencyPingResponseMessageComposer.compose(value));
	}
}
