package habbod2.communication.messages.outgoing.avatar;

import java.util.List;

import habbod2.communication.EServerMessage;
import habbod2.game.users.WardrobeOutfit;
import habbod2.net.protocol.ServerMessage;

public class WardrobeMessageComposer
{
	public static ServerMessage compose(List<WardrobeOutfit> outfits)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.Wardrobe);
		msg.appendBool(true); // Enable
		msg.appendInt(outfits.size());
		for(WardrobeOutfit entry : outfits)
		{
			msg.appendInt(entry.slot);
			msg.appendStr(entry.figure);
			msg.appendStr(entry.gender);
		}
		
		return msg;
	}
}
