package habbod2.communication.messages.outgoing.inventory.trading;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.items.trading.TradePartner;

public class TradingCloseMessageComposer
{
	public static ServerMessage compose(TradePartner partner)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.TradingClose);
		msg.appendInt(partner.getSession().getUser().id);
		
		return msg;
	}
}
