package habbod2.communication.messages.outgoing.navigator;

import java.util.Map;
import java.util.Map.Entry;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;

public class PopularRoomTagsResultMessageComposer
{
	public static ServerMessage compose(Map<String, Integer> tags)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.PopularRoomTagsResult);
		msg.appendInt(tags.size());
		for(Entry<String, Integer> tag : tags.entrySet())
		{
			msg.appendStr(tag.getKey());
			msg.appendStr(tag.getValue()); // weight, 0-6
		}
		
		return msg;
	}
}
