package habbod2.communication.messages.outgoing.navigator;

import habbod2.communication.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.rooms.Room;

public class RoomThumbnailUpdateResultMessageComposer
{
	public static ServerMessage compose(Room room, boolean success)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.RoomThumbnailUpdateResult);
		msg.appendInt(room.id);
		msg.appendBool(success);
		
		return msg;
	}
}
