package habbod2.communication.messages.outgoing.room.action;

import habbod2.communication.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.rooms.instances.RoomHuman;

public class AvatarEffectMessageComposer
{
	public static ServerMessage compose(RoomHuman human)
	{
		return compose(human, human.getCurrentEffect());
	}
	
	public static ServerMessage compose(RoomHuman human, int effectToDisplay)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.AvatarEffect);
		msg.appendInt(human.avatarId);
		msg.appendInt(effectToDisplay);
		msg.appendInt(0);
		
		return msg;
	}
}
