package habbod2.communication.messages.outgoing.room.chat;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.EServerMessage;
import habbod2.game.rooms.instances.RoomAvatar;

public class UserTypingMessageComposer
{
	public static ServerMessage compose(RoomAvatar avatar, boolean isTyping)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.UserTyping);
		msg.appendInt(avatar.avatarId);
		msg.appendBool(isTyping);
		
		return msg;
	}
}
