package habbod2.communication.messages.outgoing.room.engine;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.EServerMessage;
import habbod2.game.rooms.instances.RoomInstance;

public class RoomVisualizationSettingsMessageComposer
{
	public static ServerMessage compose(RoomInstance room)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.RoomVisualizationSettings);
		msg.appendBool(room.getInfo().hideWalls);
		
		return msg;
	}
}
