package habbod2.communication.messages.outgoing.room.engine;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.messages.EServerMessage;
import habbod2.game.rooms.instance.RoomUser;

public class UserChangeMessageComposer
{
	public static ServerMessage compose(RoomUser user, boolean forSelf)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.UserChange);
		msg.appendInt(forSelf ? -1 : user.avatarId);
		msg.appendStr(user.getFigure());
		msg.appendStr(user.getInfo().gender);
		msg.appendStr(user.getInfo().motto);
		msg.appendInt(user.getInfo().respect);//achievementScore);
		
		return msg;
	}
}
