package habbod2.game.users.achievements;

public class Achievement
{
	public static final int START_LEVEL = 1;

	public int id;
	public int maxLevel;
	public String badge;
	public boolean badgeDynamicLevel;
	public int pixelsBase;
	public float pixelsMultiplier;

	public String getBadge(int level)
	{
		if(this.badgeDynamicLevel)
		{
			return this.badge + level;
		}
		else
		{
			return this.badge;
		}
	}

	public int getPixels(int level)
	{
		return (int) (this.pixelsBase + (level * this.pixelsMultiplier));
	}
}
