package habbod2.game.rooms.items.floor;

import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.util.GameUtil;
import habbod2.game.rooms.items.RoomFloorItem;

public class RandomStateItem extends RoomFloorItem
{
	@Override
	protected boolean onToggle(RoomUser user, int instruction)
	{
		// Requires touching
		if(user == null || user.getTile().touches(this.getTile()))
		{
			int states = GameUtil.parseInt(this.definition.data);
			int state = GameUtil.getRandomInt(1, states - 1);
			this.setState(Integer.toString(state));
		}
		
		return false;
	}
}
