package habbod2.rcon.commands.server;

import habbod2.System;
import habbod2.game.GameManager;
import habbod2.rcon.RconCommandHandler;

public class ServcastCommand implements RconCommandHandler
{
	@Override
	public void handle(String payload)
	{
		// Parse args
		String[] args = payload.split(ARG_DELIMITER, 3);
		int issuerId = Integer.parseInt(args[0]);
		String message = args[1];
		String url = args.length >= 3 ? args[2] : null;

		// Send notif and log action
		GameManager gameMgr = System.get().getGameMgr();
		gameMgr.getSessionMgr().sendNotifToAll(message, url);
		gameMgr.getAccessCtrl().logUserAction(issuerId, 0, "servcast", message);
	}
}