package habbod2.rcon.commands.user;

import habbod2.System;
import habbod2.game.sessions.Session;
import habbod2.rcon.RconCommandHandler;

public class UserBalanceUpdateCommand implements RconCommandHandler
{
	@Override
	public void handle(String payload)
	{
		// Parse args
		int userId = Integer.parseInt(payload);

		// Update session
		Session session = System.get().getGameMgr().getSessionMgr().getSessionByUserId(userId);
		if(session != null)
		{
			session.getUser().reloadCurrencies();
			session.sendCreditBalance();
			session.sendPixelBalance();
			session.sendPearlBalance();
		}
	}
}
