package habbod2.communication.messages.incoming.room.avatar;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.sessions.Session;

public class DanceHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Read & verify the ID of the dance to start
		int danceId = request.readInt();

		// User is in the room?
		RoomUser user = session.getRoomUser();
		if(user != null)
		{
			user.dance(danceId);
		}
	}
}
