package habbod2.communication.messages.outgoing.room.chat;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.messages.EServerMessage;
import habbod2.game.rooms.instance.RoomActor;

public class UserTypingMessageComposer
{
	public static ServerMessage compose(RoomActor actor, boolean isTyping)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.UserTyping);
		msg.appendInt(actor.actorId);
		msg.appendBool(isTyping);
		
		return msg;
	}
}
