package habbod2.communication.messages.outgoing.room.engine;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.pets.Pet;

public class PetLevelNotificationMessageComposer
{
	public static ServerMessage compose(Pet pet)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.PetLevelNotification);
		msg.appendInt(pet.id);
		msg.appendStr(pet.name);
		msg.appendInt(pet.level);
		msg.appendInt(pet.type.id);
		msg.appendInt(pet.breed);
		msg.appendStr(pet.color);
		
		return msg;
	}
}
