package habbod2.communication.messages.outgoing.room.pets;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.pets.Pet;

public class PetInfoMessageComposer
{
	public static ServerMessage compose(Pet pet)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.PetInfoMessageNew);
		msg.appendInt(pet.id);
		msg.appendStr(pet.name);
		msg.appendInt(pet.level);
		msg.appendInt(pet.getMaxLevel());
		msg.appendInt(pet.experience);
		msg.appendInt(pet.getExperienceGoal());
		msg.appendInt(pet.energy);
		msg.appendInt(pet.getMaxEnergy());
		msg.appendInt(pet.happiness);
		msg.appendInt(pet.getMaxHappiness());
		msg.appendInt(pet.type.id);
		msg.appendInt(pet.breed);
		msg.appendStr(pet.color.toLowerCase());
		msg.appendInt(pet.respect);
		msg.appendInt(pet.ownerId);
		msg.appendInt(pet.getAgeInDays());
		msg.appendStr(pet.ownerName);
		
		return msg;
	}
}
