package habbod2.communication.messages.outgoing.room.session;

import habbod2.communication.messages.EServerMessage;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.net.protocol.ServerMessage;

public class GamePlayerValueMessageComposer
{
	public static ServerMessage compose(RoomUser user, int value)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.GamePlayerValue);
		msg.appendInt(user.actorId);
		msg.appendInt(value);
		
		return msg;
	}
}
