package habbod2.game.pets.ai;

import habbod2.game.pets.RoomPet;

public class SleepAction extends NestRestAction
{
	public SleepAction(RoomPet pet)
	{
		super(pet);
	}

	@Override
	protected String getNoItemFoundEvent()
	{
		// Not required (will sleep on floor then)
		return null;
	}

	@Override
	protected String getActivityEvent()
	{
		return "sleeping";
	}

	@Override
	protected void submitResult(boolean success)
	{
		this.pet.getInfo().resetSleepTimer(success);
	}

	@Override
	protected int getActionDuration()
	{
		return 10;
	}

}
