package habbod2.game.rooms.items.wired.actions;

import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.floor.JukeboxItem;
import habbod2.game.rooms.items.wired.WiredAction;

public class JumpToSongAction extends WiredAction
{	
	@Override
	public int getInterface()
	{
		return 7;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean requiresUser()
	{
		return false;
	}
	
	@Override
	public void execute(RoomUser user)
	{
		JukeboxItem jukebox = this.getRoom().getJukebox();
		if(jukebox != null)
		{
			String title = this.getText();
			jukebox.jumpToSong(title);
		}
	}
}