package habbod2.game.rooms.items.wired.extra;

import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.RoomFloorItem;

public class SwitchItem extends RoomFloorItem
{
	@Override
	protected void onToggle(RoomUser user, int instruction)
	{
		// Require touching (if user)
		if(user != null && (!user.touches(this) && user.canMove()))
		{
			user.setGoal(this.getTileInFront());
		}
		else
		{
			this.nextState();
		}
	}
}
