package prinzip.apps;

import twitter4j.TwitterException;

public class AppAuthorizationException extends TwitterException
{
	private static final long serialVersionUID = 1L;

	private AppAuthorizationException.AuthorizationError error;
	
	public AppAuthorizationException(AppAuthorizationException.AuthorizationError error, String message, Exception e)
	{
		super(message, e);
		this.error = error;
	}
	
	public AppAuthorizationException.AuthorizationError getError()
	{
		return this.error;
	}
	
	public enum AuthorizationError
	{
		BAD_APP,
		BAD_ACCOUNT,
	}
}